-- Generic Panel skeleton

euroFormat=(tonumber("1,000")==1); -- redundant but harmless

function LoadData()
	-- load saved settings
end
LoadData()

GenericPanel=class(Turbine.UI.Control)
function GenericPanel:Constructor()
	Turbine.UI.Control.Constructor(self)
	self:SetMouseVisible(false);
	self:SetBackColor(backColor);
	self:SetSize(200,200);
	self.characterIndex=1;
	local charIndex;
	for charIndex=1,#characterListArray do
		if characterListArray[charIndex][1]==currentCharacterName then
			self.characterIndex=charIndex;
			break;
		end
	end
	self.characterName=currentCharacterName;

-- create panel controls

	self:SetVisible(false);

	self.IsValid=function()
-- if this panel is only valid for Free Peoples, uncomment the following line
--		return (characterListArray[self.characterIndex][9]==Turbine.Gameplay.Alignment.FreePeople);
		return true;
	end

	self.LoadPanelData=function(sender, characterName)
		local tmpIndex;
		for tmpIndex=1,#characterListArray do
			if characterListArray[tmpIndex][1]==characterName then
				self.characterIndex=tmpIndex;
				if inventoryWindow~=nil and inventoryWindow.PanelShowing==self.Index then
					self:SetVisible(self:IsValid())
				end
				break;
			end
		end
-- handle displaying the "current" character display
	end

	self.SaveData=function()
	end

	self.RemoveCallbacks=function()
	end

	self.SizeChanged=function(sender,args)
		local newWidth=self:GetWidth();
		local newHeight=self:GetHeight();
	end
	self.SetLanguage=function()
	end
	self.SetTrimColor=function()
	end
	self.SetBackgroundColor=function()
	end
	self.SetListTextColor=function()
	end
	self.SetFontColor=function()
	end
	self.SetHeadingsColor=function()
	end
end
