-- table format: alignment, type (virtue/corruption, legendary, class, racial), sub category,{ID, name, resourceID, examine ID}
-- there are currently 4 types of traits for each alignment, if this ever changes I may have to make some changes but since any added type will probably have a different structure, that is fine

Trait={};
Trait[1]={}; -- freep
Trait[2]={}; -- creep
Trait[1][1]={} -- freep virtues
Trait[1][1].Name="Virtue"
Trait[1][1][1]={} -- all virtues are in one sub-group

Trait[1][2]={} -- freep Racial
Trait[1][2].Name="Racial"
Trait[1][2][1]={}
Trait[1][2][1].Name="Dwarf" -- Dwarf, Elf, Hobbit, Man
Trait[1][2][2]={}
Trait[1][2][2].Name="Elf" -- Dwarf, Elf, Hobbit, Man
Trait[1][2][3]={}
Trait[1][2][3].Name="Hobbit" -- Dwarf, Elf, Hobbit, Man
Trait[1][2][4]={}
Trait[1][2][4].Name="Man" -- Dwarf, Elf, Hobbit, Man

Trait[1][3]={} -- freep class
Trait[1][3].Name="Class"
Trait[1][3][1]={}
Trait[1][3][1].SubClassed=true;
Trait[1][3][1][1]={}
Trait[1][3][1][2]={}
Trait[1][3][1][3]={}

Trait[1][3][2]={}
Trait[1][3][2].SubClassed=true;
Trait[1][3][2][1]={}
Trait[1][3][2][2]={}
Trait[1][3][2][3]={}

Trait[1][3][3]={}
Trait[1][3][3].SubClassed=true;
Trait[1][3][3][1]={}
Trait[1][3][3][2]={}
Trait[1][3][3][3]={}

Trait[1][3][4]={}
Trait[1][3][4].SubClassed=true;
Trait[1][3][4][1]={}
Trait[1][3][4][2]={}
Trait[1][3][4][3]={}

Trait[1][3][5]={}
Trait[1][3][5].SubClassed=true;
Trait[1][3][5][1]={}
Trait[1][3][5][2]={}
Trait[1][3][5][3]={}

Trait[1][3][6]={}
Trait[1][3][6].SubClassed=true;
Trait[1][3][6][1]={}
Trait[1][3][6][2]={}
Trait[1][3][6][3]={}

Trait[1][3][7]={}
Trait[1][3][7].SubClassed=true;
Trait[1][3][7][1]={}
Trait[1][3][7][2]={}
Trait[1][3][7][3]={}

Trait[1][3][8]={}
Trait[1][3][8].SubClassed=true;
Trait[1][3][8][1]={}
Trait[1][3][8][2]={}
Trait[1][3][8][3]={}

Trait[1][3][9]={}
Trait[1][3][9].SubClassed=true;
Trait[1][3][9][1]={}
Trait[1][3][9][2]={}
Trait[1][3][9][3]={}


Trait[1][4]={} -- freep Legendary
Trait[1][4].Name="Legendary"
Trait[1][4][1]={} -- Burglar legendaries
Trait[1][4][2]={} -- Captain legendaries
Trait[1][4][3]={} -- Champion legendaries
Trait[1][4][4]={} -- Guardian legendaries
Trait[1][4][5]={} -- Hunter legendaries
Trait[1][4][6]={} -- Lore-master legendaries
Trait[1][4][7]={} -- Minstrel legendaries
Trait[1][4][8]={} -- Rune-keeper legendaries
Trait[1][4][9]={} -- Warden legendaries



Trait[1][1]={} -- freep virtues
Trait[1][1].Name="Virtue"
Trait[1][1][1]={} -- all virtues are in one sub-group

Trait[2][1]={} -- creep corruption
Trait[2][1].Name="Corruption"
Trait[2][1][1]={};

Trait[2][2]={} -- creep racial
Trait[2][2].Name="Racial"
Trait[2][2][1]={}
Trait[2][2][1].Name="Orc" -- 7
Trait[2][2][2]={}
Trait[2][2][2].Name="Spider" -- 12
Trait[2][2][3]={}
Trait[2][2][3].Name="Uruk" -- 6
Trait[2][2][4]={}
Trait[2][2][4].Name="Warg" -- 66

Trait[2][3]={} -- creep class
Trait[2][3].Name="Class"
Trait[2][3][1]={} -- BlackArrow
Trait[2][3][2]={} -- Defiler
Trait[2][3][3]={} -- Reaver
Trait[2][3][4]={} -- Stalker
Trait[2][3][5]={} -- WarLeader
Trait[2][3][6]={} -- Weaver

--Turbine.Gameplay.Class.BlackArrow
--Turbine.Gameplay.Class.Defiler
--Turbine.Gameplay.Class.Reaver
--Turbine.Gameplay.Class.Stalker
--Turbine.Gameplay.Class.WarLeader
--Turbine.Gameplay.Class.Weaver
Trait[2][4]={} -- creep appearance
Trait[2][4].Name="Appearance"
Trait[2][4][1]={}
Trait[2][4][2]={}
Trait[2][4][3]={}
Trait[2][4][4]={}
Trait[2][4][5]={}
Trait[2][4][6]={}
--Turbine.Gameplay.Race.Orc=7
--Turbine.Gameplay.Race.Spider=1 2
--Turbine.Gameplay.Race.Uruk=6
--Turbine.Gameplay.Race.Warg=66


-- then for each category, generate the individual trait entries
Trait[1][1][1][#Trait[1][1][1]+1]={1,"Charity",0x4100860f,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={2,"Compassion",0x41008619,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={3,"Confidence",0x41008623,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={4,"Determination",0x4100862d,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={5,"Discipline",0x41008637,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={6,"Empathy",0x41008641,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={7,"Fidelity",0x4100864b,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={8,"Fortitude",0x41008655,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={9,"Honesty",0x4100865f,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={10,"Honor",0x41008669,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={11,"Idealism",0x41008673,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={12,"Innocence",0x410086a5,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={13,"Justice",0x4100867d,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={14,"Loyalty",0x41008687,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={15,"Mercy",0x41008691,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={16,"Patience",0x4100869b,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={17,"Tolerance",0x410086af,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={18,"Valour",0x410086b9,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={19,"Wisdom",0x410086c3,0,12};
Trait[1][1][1][#Trait[1][1][1]+1]={20,"Zeal",0x410086cd,0,12};
-- dwarf
Trait[1][2][1][#Trait[1][2][1]+1]={21,"Guile and Might Bonus",0x410088a9,0};
Trait[1][2][1][#Trait[1][2][1]+1]={22,"Dwarf Axe-damage Bonus",0x410088aa,0};
Trait[1][2][1][#Trait[1][2][1]+1]={23,"Fateful Dwarf",0x410088ab,0};
Trait[1][2][1][#Trait[1][2][1]+1]={24,"Shield Brawler",0,0};
Trait[1][2][1][#Trait[1][2][1]+1]={25,"Virtuous Dwarf",0,0};
Trait[1][2][1][#Trait[1][2][1]+1]={26,"Return to Thorin's Gate",0x410088ac,0};
Trait[1][2][1][#Trait[1][2][1]+1]={27,"Head-butt",0x410088a7,0};
Trait[1][2][1][#Trait[1][2][1]+1]={28,"Endurance of Stone",0x410088ae,0};
Trait[1][2][1][#Trait[1][2][1]+1]={29,"Dwarf-endurance",0x410088b0,0};
-- elf
Trait[1][2][2][#Trait[1][2][2]+1]={30,"Tactics and Conviction Bonus",0x41008899,0};
Trait[1][2][2][#Trait[1][2][2]+1]={31,"Elf One-handed Sword-damage Bonus",0x4100889f,0};
Trait[1][2][2][#Trait[1][2][2]+1]={32,"Elf Bow-damage Bonus",0x4100889a,0};
Trait[1][2][2][#Trait[1][2][2]+1]={33,"Friend Of Man",0x4100889b,0};
Trait[1][2][2][#Trait[1][2][2]+1]={34,"Sylvan Shadows",0x41008897,0};
Trait[1][2][2][#Trait[1][2][2]+1]={35,"Virtuous Elf",0,0};
Trait[1][2][2][#Trait[1][2][2]+1]={36,"Eldar's Grace",0x4100889e,0};
Trait[1][2][2][#Trait[1][2][2]+1]={37,"Return to Rivendell",0x4100889c,0};
Trait[1][2][2][#Trait[1][2][2]+1]={38,"Power of the Eldar",0x410088a0,0};
-- hobbit
Trait[1][2][3][#Trait[1][2][3]+1]={39,"Guild and Conviction Bonus",0x4100886f,0};
Trait[1][2][3][#Trait[1][2][3]+1]={40,"Hobbit Club-damage Bonus",0x41008870,0};
Trait[1][2][3][#Trait[1][2][3]+1]={41,"Hobbit-stature",0x41008871,0};
Trait[1][2][3][#Trait[1][2][3]+1]={42,"Virtuous Hobbit",0,0};
Trait[1][2][3][#Trait[1][2][3]+1]={43,"Return to Michel Delving",0x41008872,0};
Trait[1][2][3][#Trait[1][2][3]+1]={44,"Hobbit-silence",0x41008878,0};
Trait[1][2][3][#Trait[1][2][3]+1]={45,"Hobbit-resilience",0x41008874,0};
Trait[1][2][3][#Trait[1][2][3]+1]={46,"Hobbit-stealth",0x41008876,0};
Trait[1][2][3][#Trait[1][2][3]+1]={47,"Stoop for a Stone",0x4100886d,0};
-- race of man
Trait[1][2][4][#Trait[1][2][4]+1]={48,"Tactics and Might Bonus",0x41008886,0};
Trait[1][2][4][#Trait[1][2][4]+1]={49,"Upper-cut",0x41008884,0};
Trait[1][2][4][#Trait[1][2][4]+1]={50,"Man Sword-damage Bonus",0x41008887,0};
Trait[1][2][4][#Trait[1][2][4]+1]={51,"Man of the Fourth Age",0x41008888,0};
Trait[1][2][4][#Trait[1][2][4]+1]={52,"Balance of Man",0x4100888e,0};
Trait[1][2][4][#Trait[1][2][4]+1]={53,"Virtuous Man",0,0};
Trait[1][2][4][#Trait[1][2][4]+1]={54,"Duty-bound",0x4100888b,0};
Trait[1][2][4][#Trait[1][2][4]+1]={55,"Return to Bree",0x41008889,0};
Trait[1][2][4][#Trait[1][2][4]+1]={56,"Strength of Morale",0x4100888f,0};

-- Burglar Class
Trait[1][3][1][1].Name="The Quiet Knife"
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={57,"Hidden Dagger",0x410056ca,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={58,"Strike from Shadows",0x410056d0,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={59,"Cunning Wound",0x410056c4,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={60,"Focused Eye",0x410056cb,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={61,"Strategic Planning",0,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={62,"Spatial Sense",0,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={63,"Sharp Wit, Sharp Blade",0,0};
Trait[1][3][1][1][#Trait[1][3][1][1]+1]={64,"Ambidextrous",0,0};
Trait[1][3][1][2].Name="The Mischief-maker"
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={65,"Opportunist",0x410056d6,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={66,"Trickster",0x410056cd,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={67,"Disabling Attack",0x410056d4,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={68,"Blind Fury",0x410056dc,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={69,"Perplexing Riddle",0x410056c8,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={70,"Appraising Eye",0x410030dd,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={71,"Confound the Fools",0,0};
Trait[1][3][1][2][#Trait[1][3][1][2]+1]={72,"Complicated Terms",0,0};
Trait[1][3][1][3].Name="The Gambler"
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={73,"Honed Wit",0,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={74,"Even the Odds",0,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={75,"Cruel Odds",0,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={76,"Overwhelming Odds",0x410056d8,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={77,"Footpad",0x410056d1,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={78,"Leaf-walker",0x410056d9,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={79,"Swift and Subtle",0,0};
Trait[1][3][1][3][#Trait[1][3][1][3]+1]={80,"Side-step",0x410056cc,0};

-- Captain Class
Trait[1][3][2][1].Name="Leader of Men"
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={81,"Alert Guard",0,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={82,"Echoing Shout",0,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={83,"Improved Routing Cry",0,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={84,"Captain's Victory",0,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={85,"Defiance",0x41003767,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={86,"Composure",0,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={87,"Intimidation",0x4100563f,0};
Trait[1][3][2][1][#Trait[1][3][2][1]+1]={88,"Tactical Prowess",0,0};
Trait[1][3][2][2].Name="Hands of Healing"
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={89,"Fear no Darkness",0x4100561a,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={90,"Strong Voice",0x4100561d,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={91,"Blood of N"..string.char(195)..string.char(186).."menor",0x41005608,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={92,"Captain's Hope",0x4100563a,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={93,"Now for Wrath",0x4100560c,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={94,"Deeds before Words",0,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={95,"Relentless Optimism",0,0};
Trait[1][3][2][2][#Trait[1][3][2][2]+1]={96,"Strength from Within",0,0};
Trait[1][3][2][3].Name="Lead the Charge"
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={97,"Renewed Voice",0x41005612,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={98,"Turn of the Tide",0x41005610,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={99,"Captain's Valour",0x4100560e,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={100,"Expert Attacks",0x4100563d,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={101,"Precise Ally",0,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={102,"Loyalty",0x41003768,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={103,"Battle-master",0,0};
Trait[1][3][2][3][#Trait[1][3][2][3]+1]={104,"Adherent of Elendil",0,0};

-- Champion Class
Trait[1][3][3][1].Name="The Deadly Storm"
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={105,"Stalwart Blade",0x4100564b,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={106,"Winds of the Storm",0x41005647,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={107,"Eye of the Storm",0x4100564f,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={108,"Mighty Blast",0,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={109,"Battle Acumen",0,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={110,"Ardent Rage",0,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={111,"Swift to Anger",0x41005644,0};
Trait[1][3][3][1][#Trait[1][3][3][1]+1]={112,"Improved Rend",0,0};
Trait[1][3][3][2].Name="The Beserker"
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={113,"Blood-lust",0x41005649,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={114,"Vicious Strikes",0,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={115,"Deadly Strikes",0x41005646,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={116,"Deep Strikes",0x4100564c,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={117,"Athletic",0,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={118,"Controlled Fury",0,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={119,"Bountiful Mercy",0,0};
Trait[1][3][3][2][#Trait[1][3][3][2]+1]={120,"Flurry of Blows",0x41005642,0};
Trait[1][3][3][3].Name="The Martial Champion"
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={121,"Call of the Wild",0x4100564a,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={122,"At the Ready",0x4100564e,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={123,"Aggressive Exchange",0,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={124,"Reprisal",0,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={125,"Braced against Defeat",0x41005648,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={126,"Time of Need",0x41005652,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={127,"Vigour of Champions",0,0};
Trait[1][3][3][3][#Trait[1][3][3][3]+1]={128,"Tight Grip",0,0};

-- Guardian Class
Trait[1][3][4][1].Name="The Fighter of Shadow"
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={129,"Guardian's Ward",0x4100566c,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={130,"Selfless Defence",0x41005677,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={131,"Defensive Expertise",0x4100566d,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={132,"Deflected Blows",0,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={133,"Controlled Breathing",0x4100566f,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={134,"Brave Heart",0x4100567d,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={135,"Stoic",0x41005679,0};
Trait[1][3][4][1][#Trait[1][3][4][1]+1]={136,"Final Straw",0,0};
Trait[1][3][4][2].Name="The Defender of the Free"
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={137,"Grim Challenge",0x41005676,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={138,"Harasser",0x41005672,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={139,"Reactive Block",0x41005669,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={140,"Threatening Presence",0,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={141,"Heat of Battle",0x4100567f,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={142,"Litany of Challenge",0,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={143,"Shield of Fire",0x410e1e4f,0};
Trait[1][3][4][2][#Trait[1][3][4][2]+1]={144,"Quick of Foot",0,0};
Trait[1][3][4][3].Name="The Keen Blade"
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={145,"Hit Where It Hurts",0,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={146,"Raw Power",0,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={147,"Parried Blows",0,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={148,"Stinging Blow",0x41005667,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={149,"Blocking Force",0,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={150,"Strong Lungs",0x4100567b,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={151,"Quickness",0x41005675,0};
Trait[1][3][4][3][#Trait[1][3][4][3]+1]={152,"To the Rescue",0x41005674,0};

-- Hunter Class
Trait[1][3][5][1].Name="The Bowmaster"
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={153,"True Shot",0x4100568d,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={154,"Hail of Arrows",0x41005687,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={155,"Barbed Fury",0x41005683,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={156,"Swift and True",0x41005684,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={157,"Fast Draw",0x410032ad,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={158,"Swift Mercy",0,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={159,"Critical Eye",0,0};
Trait[1][3][5][1][#Trait[1][3][5][1]+1]={160,"Shot Through the Heart",0,0};
Trait[1][3][5][2].Name="The Trapper of Foes"
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={161,"Sturdy Traps",0x41005681,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={162,"Combat Traps",0,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={163,"Strong Intimidation",0,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={164,"Spring Loaded Traps",0,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={165,"Barbed Hindrance",0,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={166,"Heightened Senses",0x41005686,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={167,"Heart of the Bard",0,0};
Trait[1][3][5][2][#Trait[1][3][5][2]+1]={168,"Stealthy Shot",0x4100568f,0};
Trait[1][3][5][3].Name="The Huntsman"
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={169,"Earthborn",0,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={170,"Deadly Precision",0x4100568c,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={171,"Swift Recovery",0x41005691,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={172,"Strong Draw",0x41005685,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={173,"Arrow Storm",0x41005689,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={174,"Resolute Aim",0x410e8720,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={175,"Deep Concentration",0x4100568a,0};
Trait[1][3][5][3][#Trait[1][3][5][3]+1]={176,"Rapid Recovery",0x41005682,0};

-- Lore-master Class
Trait[1][3][6][1].Name="The Keeper of Animals"
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={177,"D"..string.char(195)..string.char(186).."nadan-learning",0x410056a0,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={178,"Master of Beasts",0x41005699,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={179,"Improved Flanking",0,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={180,"Hardy Companion",0,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={181,"Light of Hope",0x41005697,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={182,"Healer",0x4100569c,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={183,"Proof Against All Ills",0x410056a7,0};
Trait[1][3][6][1][#Trait[1][3][6][1]+1]={184,"Improved Inner Flame",0,0};
Trait[1][3][6][2].Name="Master of Nature's Fury"
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={185,"Flame of Anor",0,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={186,"Tactically Adept",0x410056ab,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={187,"Master of the Staff",0x41005693,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={188,"Harmony with Nature",0x410056a1,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={189,"Awareness of Body",0x410056a3,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={190,"Knowledge of the Past",0x410056a9,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={191,"Improved Sign of Battle",0x410e4963,0};
Trait[1][3][6][2][#Trait[1][3][6][2]+1]={192,"Knowledge of Storms",0,0};
Trait[1][3][6][3].Name="The Ancient Master"
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={193,"Deep Lore",0x4100569b,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={194,"Power and Wisdom",0x41005695,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={195,"Fast Loader",0x410056a5,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={196,"The Secret of Tar",0,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={197,"The Study of Wind-lore",0,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={198,"The Study of Fire-lore",0,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={199,"Improved Sign of Power: Command",0,0};
Trait[1][3][6][3][#Trait[1][3][6][3]+1]={200,"The Study of Frost-lore",0,0};

-- Ministrel Class
Trait[1][3][7][1].Name="The Watcher of Resolve"
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={201,"Life-singer",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={202,"Silver Tongue",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={203,"Focused Performer",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={204,"Graceful Demeanour",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={205,"Subtle Movements",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={206,"Improved Song of Soothing",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={207,"Improved Rais the Spirit",0,0};
Trait[1][3][7][1][#Trait[1][3][7][1]+1]={208,"Power of Song",0,0};
Trait[1][3][7][2].Name="The Protector of Song"
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={209,"Glorious Anthem",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={210,"Absolute Pitch",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={211,"Heralded Saviour",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={212,"Smooth Voice",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={213,"Flow of Harmony",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={214,"Battle-Hymn",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={215,"Lyrics of Bravery",0,0};
Trait[1][3][7][2][#Trait[1][3][7][2]+1]={216,"Heralded Resolve",0,0};
Trait[1][3][7][3].Name="The Warrior-Skald"
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={217,"Discordant Melody",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={218,"Powerful Voice",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={219,"Light in the Dark",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={220,"Unrelenting",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={221,"Herald's Hammer",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={222,"Armour of Song",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={223,"Improved Echoes of Battle",0,0};
Trait[1][3][7][3][#Trait[1][3][7][3]+1]={224,"Enduring Morale",0,0};

-- Rune-keeper Class
Trait[1][3][8][1].Name="Solitary Thunder"
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={225,"Thunderous Words",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={226,"Harsh Debate",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={227,"Closing Remarks",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={228,"Tale of the Storm",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={229,"Winter-storm",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={230,"Icy Discourse",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={231,"Confounding Principles",0,0};
Trait[1][3][8][1][#Trait[1][3][8][1]+1]={232,"Master of Tragedy",0,0};
Trait[1][3][8][2].Name="Cleansing Fires"
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={233,"Conflagration of Runes",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={234,"Writ of Blazing Fire",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={235,"Scathing Retort",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={236,"Tale of Rage",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={237,"Frost-burn",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={238,"Overflowing Confidence",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={239,"Linnod of Subtlety",0,0};
Trait[1][3][8][2][#Trait[1][3][8][2]+1]={240,"Master ofConnotation",0,0};
Trait[1][3][8][3].Name="Benedictions of Peace"
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={241,"Memorable Prose",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={242,"Writ of Well-being",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={243,"Author of Exaltation",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={244,"Terse Narrative",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={245,"Rune of Endurance",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={246,"The Prophetic Word",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={247,"Linnod of Peace",0,0};
Trait[1][3][8][3][#Trait[1][3][8][3]+1]={248,"Master or Allusion",0,0};

-- Warden Class
Trait[1][3][9][1].Name="Way of the Spear"
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={249,"Skill and Power",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={250,"Efficient Thrust",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={251,"Find Weakness",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={252,"Veteran",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={253,"Expert Hurler",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={254,"Mighty Throw",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={255,"Deadly Thrust",0,0};
Trait[1][3][9][1][#Trait[1][3][9][1]+1]={256,"Master of the Spear",0,0};
Trait[1][3][9][2].Name="Way of the Shield"
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={257,"Wary Blocks",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={258,"Shield Trickery",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={259,"Perseverance",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={260,"Skillful Blocking",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={261,"Never Say Die",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={262,"Efficient Shieldwork",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={263,"Ward of Justice",0,0};
Trait[1][3][9][2][#Trait[1][3][9][2]+1]={264,"Master of the Shield",0,0};
Trait[1][3][9][3].Name="Way of the Fist"
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={265,"Know Your Enemy",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={266,"Deadly Insult",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={267,"Strong Voice",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={268,"Terrible Visage",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={269,"Confidence",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={270,"A Keen Response",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={271,"Force of Personality",0,0};
Trait[1][3][9][3][#Trait[1][3][9][3]+1]={272,"Master of the Fist",0,0};

-- Burglar Legendary
Trait[1][4][1][#Trait[1][4][1]+1]={273,"Stick and Move",0,0};
Trait[1][4][1][#Trait[1][4][1]+1]={274,"Sweep the Leg",0x4100319d,0};
Trait[1][4][1][#Trait[1][4][1]+1]={275,"Practiced Bluff",0,0};
Trait[1][4][1][#Trait[1][4][1]+1]={276,"Little Annoyances",0,0};
Trait[1][4][1][#Trait[1][4][1]+1]={277,"Dealings Done",0,0};
Trait[1][4][1][#Trait[1][4][1]+1]={278,"Flashing Blades",0x41003197,0};
Trait[1][4][1][#Trait[1][4][1]+1]={279,"Exposed Throat",0x4100319e,0};

-- Captain Legendary
Trait[1][4][2][#Trait[1][4][2]+1]={280,"Shield of the D"..string.char(195)..string.char(186).."nedain",0x41003720,0};
Trait[1][4][2][#Trait[1][4][2]+1]={281,"In Defence of Middle-earth",0x41003724,0};
Trait[1][4][2][#Trait[1][4][2]+1]={282,"Oathbreaker's Shame",0x41003722,0};
Trait[1][4][2][#Trait[1][4][2]+1]={283,"Leader of Men",0,0};
Trait[1][4][2][#Trait[1][4][2]+1]={284,"Hands of Healing",0,0};
Trait[1][4][2][#Trait[1][4][2]+1]={285,"Master of War",0,0};
Trait[1][4][2][#Trait[1][4][2]+1]={286,"Fellowship-brother",0x4100371d,0};

-- Champion Legendary
Trait[1][4][3][#Trait[1][4][3]+1]={287,"Improved Great Cleave",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={288,"Continuous Blood Rage",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={289,"Invincible",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={290,"Ferocious Strikes",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={291,"Controlled Burn",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={292,"Raging Blade",0,0};
Trait[1][4][3][#Trait[1][4][3]+1]={293,"Fight On!",0,0};

-- Guardian Legendary
Trait[1][4][4][#Trait[1][4][4]+1]={294,"Challenge the Darkness",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={295,"Guardian's Threat",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={296,"Shield-smash",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={297,"To the King",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={298,"Litany Master",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={299,"Haemorrhage",0,0};
Trait[1][4][4][#Trait[1][4][4]+1]={300,"Heart of Fire",0,0};

-- Hunter Legendary
Trait[1][4][5][#Trait[1][4][5]+1]={301,"Rain of Thorns",0,0};
Trait[1][4][5][#Trait[1][4][5]+1]={302,"Bard's Arrow",0,0};
Trait[1][4][5][#Trait[1][4][5]+1]={303,"Press Onward",0,0};
Trait[1][4][5][#Trait[1][4][5]+1]={304,"Bow of the Righteous",0,0};
Trait[1][4][5][#Trait[1][4][5]+1]={305,"Cool Burn",0x410e4dd9,0};
Trait[1][4][5][#Trait[1][4][5]+1]={306,"Explosive Arrow",0,0};
Trait[1][4][5][#Trait[1][4][5]+1]={307,"Improved Fleetness",0,0};

-- LM Legendary
Trait[1][4][6][#Trait[1][4][6]+1]={308,"Sword and Staff",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={309,"Noble Savage",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={310,"Eagle-friend",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={311,"March of the Ents",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={312,"Friend of Nature",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={313,"Improved Sticky Gourd",0,0};
Trait[1][4][6][#Trait[1][4][6]+1]={314,"Force of Will",0,0};

-- Mini Legendary
Trait[1][4][7][#Trait[1][4][7]+1]={315,"Master of Tales",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={316,"Fellowship's Heart",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={317,"Cry of the Wizards",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={318,"Symphony of the Hopeful Heart",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={319,"Rally!",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={320,"Call of War",0,0};
Trait[1][4][7][#Trait[1][4][7]+1]={321,"Legendary Spirit",0,0};

-- RK Legendary
Trait[1][4][8][#Trait[1][4][8]+1]={322,"Mystifying Flame",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={323,"Wondrous Foreshadowing",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={324,"Perfect Imagery",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={325,"Steady Hands",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={326,"You Shall Fall to our Wrath",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={327,"That Which Does Not Kill Us",0,0};
Trait[1][4][8][#Trait[1][4][8]+1]={328,"Martial Training",0,0};

-- Warden Legendary
Trait[1][4][9][#Trait[1][4][9]+1]={329,"Defiant Challenge",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={330,"Way of the Warden",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={331,"Javelin of Deadly Force",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={332,"Grand Master Weapons Training",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={333,"Way of the Spear",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={334,"Way of the Shield",0,0};
Trait[1][4][9][#Trait[1][4][9]+1]={335,"Way of the Fist",0,0};

-- Creep Traits
-- Corruptions
Trait[2][1][1][#Trait[2][1][1]+1]={336,"Critical Protection Boost 1",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={337,"Critical Protection Boost 2",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={338,"Critical Protection Boost 3",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={339,"Critical Protection Boost 4",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={340,"Critical Protection Boost 5",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={341,"Critical Protection Boost 6",0x41008600,0}
Trait[2][1][1][#Trait[2][1][1]+1]={342,"Damage for Health 1",0x410085fa,0}
Trait[2][1][1][#Trait[2][1][1]+1]={343,"Damage for Health 2",0x410085fa,0}
Trait[2][1][1][#Trait[2][1][1]+1]={344,"Damage for Power 1",0x410085fb,0}
Trait[2][1][1][#Trait[2][1][1]+1]={345,"Damage for Power 2",0x410085fb,0}
Trait[2][1][1][#Trait[2][1][1]+1]={346,"Health for Damage 1",0x410085fc,0}
Trait[2][1][1][#Trait[2][1][1]+1]={347,"Health for Damage 2",0x410085fc,0}
Trait[2][1][1][#Trait[2][1][1]+1]={348,"Health for Power 1",0x410085fd,0}
Trait[2][1][1][#Trait[2][1][1]+1]={349,"Health for Power 2",0x410085fd,0}
Trait[2][1][1][#Trait[2][1][1]+1]={350,"Mastery Boost 1",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={351,"Mastery Boost 2",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={352,"Mastery Boost 3",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={353,"Mastery Boost 4",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={354,"Mastery Boost 5",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={355,"Mastery Boost 6",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={356,"Physical Mitigation Boost 1",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={357,"Physical Mitigation Boost 2",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={358,"Physical Mitigation Boost 3",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={359,"Physical Mitigation Boost 4",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={360,"Physical Mitigation Boost 5",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={361,"Physical Mitigation Boost 6",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={362,"Power for Damage 1",0x410085fe,0}
Trait[2][1][1][#Trait[2][1][1]+1]={363,"Power for Damage 2",0x410085fe,0}
Trait[2][1][1][#Trait[2][1][1]+1]={364,"Power for Health 1",0x410085ff,0}
Trait[2][1][1][#Trait[2][1][1]+1]={365,"Power for Health 2",0x410085ff,0}
Trait[2][1][1][#Trait[2][1][1]+1]={366,"Resistance Boost 1",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={367,"Resistance Boost 2",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={368,"Resistance Boost 3",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={369,"Resistance Boost 4",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={370,"Resistance Boost 5",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={371,"Resistance Boost 6",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={372,"Stealth Detection Boost",0x4100860a,0}
Trait[2][1][1][#Trait[2][1][1]+1]={373,"Tactical Mitigation Boost 1",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={374,"Tactical Mitigation Boost 2",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={375,"Tactical Mitigation Boost 3",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={376,"Tactical Mitigation Boost 4",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={377,"Tactical Mitigation Boost 5",0,0}
Trait[2][1][1][#Trait[2][1][1]+1]={378,"Tactical Mitigation Boost 6",0,0}

-- Racial
-- Orc
Trait[2][2][1][#Trait[2][2][1]+1]={379,"Advanced Skill: Blood of Fire",0,0}
Trait[2][2][1][#Trait[2][2][1]+1]={380,"Advanced Skill: Dying Rage",0,0}
Trait[2][2][1][#Trait[2][2][1]+1]={381,"Blood of Fire",0,0}
Trait[2][2][1][#Trait[2][2][1]+1]={382,"Dying Rage",0,0}
Trait[2][2][1][#Trait[2][2][1]+1]={383,"Flayer of Flesh",0x410db767,0}
Trait[2][2][1][#Trait[2][2][1]+1]={384,"Front-line Fodder",0x410db763,0}
Trait[2][2][1][#Trait[2][2][1]+1]={385,"Rage of the Misbegotten",0x410db764,0}
Trait[2][2][1][#Trait[2][2][1]+1]={386,"Tireless Warrior",0x410db766,0}
Trait[2][2][1][#Trait[2][2][1]+1]={387,"Warrior Against the Deep",0x410db765,0}

-- Spider
Trait[2][2][2][#Trait[2][2][2]+1]={388,"Advanced Skill: Born of Shadow",0,0}
Trait[2][2][2][#Trait[2][2][2]+1]={389,"Advanced Skill: Shelob's Gift",0,0}
Trait[2][2][2][#Trait[2][2][2]+1]={390,"Ancient as the Stars",0x410db71b,0}
Trait[2][2][2][#Trait[2][2][2]+1]={391,"Drinker of Blood",0x410db71d,0}
Trait[2][2][2][#Trait[2][2][2]+1]={392,"Eight-legged Foe",0x410db719,0}
Trait[2][2][2][#Trait[2][2][2]+1]={393,"Enemy of the First Children",0x410db71c,0}
Trait[2][2][2][#Trait[2][2][2]+1]={394,"Swallower of Light",0x410db71a,0}

-- Uruk
Trait[2][2][3][#Trait[2][2][3]+1]={395,"Advanced Skill: Get a Grip!",0,0}
Trait[2][2][3][#Trait[2][2][3]+1]={396,"Advanced Skill: Imposing Presence",0,0}
Trait[2][2][3][#Trait[2][2][3]+1]={397,"Brutal Persuasion",0x410db79e,0}
Trait[2][2][3][#Trait[2][2][3]+1]={398,"Favoured Servant of the Dark",0x410db79d,0}
Trait[2][2][3][#Trait[2][2][3]+1]={399,"Leaders of the Orcs",0x410db79c,0}
Trait[2][2][3][#Trait[2][2][3]+1]={400,"New Breed",0x410db79b,0}
Trait[2][2][3][#Trait[2][2][3]+1]={401,"Tireless Warrior",0,0}

-- Warg
Trait[2][2][4][#Trait[2][2][4]+1]={402,"Advanced Skill: Howl of Unnerving",0,0}
Trait[2][2][4][#Trait[2][2][4]+1]={403,"Advanced Skill: Pack Hunters",0,0}
Trait[2][2][4][#Trait[2][2][4]+1]={404,"Foe of the Light",0x410db7a2,0}
Trait[2][2][4][#Trait[2][2][4]+1]={405,"Four-legged Foe",0x410db79f,0}
Trait[2][2][4][#Trait[2][2][4]+1]={406,"Pack Alpha",0x410db7a3,0}
Trait[2][2][4][#Trait[2][2][4]+1]={407,"Pack Elder",0x410db7a1,0}
Trait[2][2][4][#Trait[2][2][4]+1]={408,"Pack Mentality",0x410db7a0,0}

-- Class
-- BlackArrow
Trait[2][3][1][#Trait[2][3][1]+1]={409,"Advanced Skill: Set Trap",0x410085d1,0}
Trait[2][3][1][#Trait[2][3][1]+1]={410,"Advanced Skill: Snare",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={411,"Advanced Skill: Steadfast Barrage",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={412,"Avoidance Boost",0x410085cb,0}
Trait[2][3][1][#Trait[2][3][1]+1]={413,"Deadly Aim",0x410085cc,0}
Trait[2][3][1][#Trait[2][3][1]+1]={414,"Enhanced Skill: Death Blossom",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={415,"Enhanced Skill: Gash",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={416,"Enhanced Skill: Headshot",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={417,"Enhanced Skill: Hindering Shot",0x410085ce,0}
Trait[2][3][1][#Trait[2][3][1]+1]={418,"Feel the Burn",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={419,"Penetrating Arrows",0x410085cf,0}
Trait[2][3][1][#Trait[2][3][1]+1]={420,"Resistance Boost",0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={421,"Swift Draw",0x410085d0,0}
Trait[2][3][1][#Trait[2][3][1]+1]={422,"Uncanny Reactions",0x410085cd,0}

-- Defiler
Trait[2][3][2][#Trait[2][3][2]+1]={423,"Advanced Skill: Blessing of Darkness",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={424,"Advanced Skill: Fungal Spores",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={425,"Armour Boost",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={426,"Enhanced Skill: Blight",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={427,"Enhanced Skill: Curse of Sticky Feet",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={428,"Enhanced Skill: Efflorescence",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={429,"Enhanced Skill: Fell Sacrifice",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={430,"Enhanced Skill: Plague Gourd",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={431,"Enhanced Skill: Plague of Flies",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={432,"Enhanced Slime",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={433,"Fast Lob",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={434,"Frugal Cursing",0,0}
Trait[2][3][2][#Trait[2][3][2]+1]={435,"Health Boost",0,0}

-- Reaver
Trait[2][3][3][#Trait[2][3][1]+1]={436,"Advanced Skill: Against the Odds",0x410e8e4b,0}
Trait[2][3][3][#Trait[2][3][1]+1]={437,"Advanced Skill: Blade Toss",0,0}
Trait[2][3][3][#Trait[2][3][1]+1]={438,"Advanced Skill: Resilience",0x410085b0,0}
Trait[2][3][3][#Trait[2][3][1]+1]={439,"Burning Blades",0x410085ac,0}
Trait[2][3][3][#Trait[2][3][1]+1]={440,"Enhanced Skill: Devastating Strike",0x410085af,0}
Trait[2][3][3][#Trait[2][3][1]+1]={441,"Enhanced Skill: Glory in Victory",0x410085ae,0}
Trait[2][3][3][#Trait[2][3][1]+1]={442,"Enhanced Skill: Hamstring",0,0}
Trait[2][3][3][#Trait[2][3][1]+1]={443,"Enhanced Skill: Jagged Cut",0x410085ad,0}
Trait[2][3][3][#Trait[2][3][1]+1]={444,"Enhanced Skill: Upper Hand",0,0}
Trait[2][3][3][#Trait[2][3][1]+1]={445,"Extended Reach",0,0}
Trait[2][3][3][#Trait[2][3][1]+1]={446,"Power Boost",0x410085a9,0}
Trait[2][3][3][#Trait[2][3][1]+1]={447,"Quick Strikes",0x410085ab,0}
Trait[2][3][3][#Trait[2][3][1]+1]={448,"Resistance Boost",0x410085aa,0}

-- Stalker
Trait[2][3][4][#Trait[2][3][4]+1]={449,"Advanced Skill: Rallying Howl",0x410085f0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={450,"Advanced Skill: Shadow Howler",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={451,"Armour Boost",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={452,"Enhanced Skill: Disappear",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={453,"Enhanced Skill: Eye Rake",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={454,"Enhanced Skill: Rabid Bite",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={455,"Enhanced Skill: Sense Prey",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={456,"Enhanced Skill: Sprint",0x410085ee,0}
Trait[2][3][4][#Trait[2][3][4]+1]={457,"Enhanced Skill: Stealth",0x410085ed,0}
Trait[2][3][4][#Trait[2][3][4]+1]={458,"Long Strides",0x410085eb,0}
Trait[2][3][4][#Trait[2][3][4]+1]={459,"Resistance Boost",0,0}
Trait[2][3][4][#Trait[2][3][4]+1]={460,"Shadow Fang",0x410085ec,0}
Trait[2][3][4][#Trait[2][3][4]+1]={461,"The Element of Surprise",0x410085ef,0}

-- WarLeader
Trait[2][3][5][#Trait[2][3][5]+1]={462,"Advanced Skill: Purge",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={463,"Advanced Skill: Snap Out of It!",0x410085e1,0}
Trait[2][3][5][#Trait[2][3][5]+1]={464,"Avoidance Boost",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={465,"Damage Boost",0x410085db,0}
Trait[2][3][5][#Trait[2][3][5]+1]={466,"Empowering",0x410085dc,0}
Trait[2][3][5][#Trait[2][3][5]+1]={467,"Enhanced Skill: Black Speech",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={468,"Enhanced Skill: Field Promotion",0x410085e0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={469,"Enhanced Skill: Menacing Roar",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={470,"Enhanced Skill: On Your Feet!",0x410085de,0}
Trait[2][3][5][#Trait[2][3][5]+1]={471,"Enhanced Skill: Quitters Never Win",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={472,"Enhanced Skill: Snap Out of It!",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={473,"Harsh Language",0x410085df,0}
Trait[2][3][5][#Trait[2][3][5]+1]={474,"Lead the Charge!",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={475,"Power of Fear",0,0}
Trait[2][3][5][#Trait[2][3][5]+1]={476,"Shield Mastery",0x410085dd,0}

-- Weaver
Trait[2][3][6][#Trait[2][3][6]+1]={477,"Armour Boost",0x410085bb,0}
Trait[2][3][6][#Trait[2][3][6]+1]={478,"Advanced Skill: Clinging Webs",0x410085c1,0}
Trait[2][3][6][#Trait[2][3][6]+1]={479,"Advanced Skill: Feast",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={480,"Enhanced Skill: Latent Poison",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={481,"Enhanced Skill: Paralytic Venom",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={482,"Enhanced Skill: Piercing Attack",0x410085be,0}
Trait[2][3][6][#Trait[2][3][6]+1]={483,"Enhanced Skill: Tainted Kiss",0x410085bf,0}
Trait[2][3][6][#Trait[2][3][6]+1]={484,"Enhanced Skill: Trapdoor Sanctuary",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={485,"Health Boost",0x410085ba,0}
Trait[2][3][6][#Trait[2][3][6]+1]={486,"Regeneration",0x410085bc,0}
Trait[2][3][6][#Trait[2][3][6]+1]={487,"Scytode Brood",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={488,"Steelweave Webs",0x410085c0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={489,"Strong Brood",0,0}
Trait[2][3][6][#Trait[2][3][6]+1]={490,"Swift Weave",0x410085bd,0}

-- Appearance
-- BlackArrow
Trait[2][4][1][#Trait[2][4][1]+1]={491,"White Hand Scout (R1)",0x410085d5,0}
Trait[2][4][1][#Trait[2][4][1]+1]={492,"Urukhai Sentry (R2)",0x410085d6,0}
Trait[2][4][1][#Trait[2][4][1]+1]={493,"White Hand Sentry (R3)",0x410085d7,0}
Trait[2][4][1][#Trait[2][4][1]+1]={494,"Dark-arrow Scout (R4)",0x410085d8,0}
Trait[2][4][1][#Trait[2][4][1]+1]={495,"Fel-arrow Scout (R5)",0x410085d9,0}
Trait[2][4][1][#Trait[2][4][1]+1]={496,"Black-bow Scout (R6)",0x410085da,0}
Trait[2][4][1][#Trait[2][4][1]+1]={497,"Ghost-bow Scout (R7)",0x41019aa9,0}
Trait[2][4][1][#Trait[2][4][1]+1]={498,"Dark-arrow Sentry (R8)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={499,"Urukhai Scout (R9)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={500,"Black-bow Sentry (R10)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={501,"Ghost-bow Sentry (R11)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={502,"Dark-arrow Elite (R12)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={503,"Fel-arrow Elite (R13)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={504,"Black-bow Elite (R14)",0,0}
Trait[2][4][1][#Trait[2][4][1]+1]={505,"Ghost-bow Elite (R15)",0,0}

-- Defiler
Trait[2][4][2][#Trait[2][4][2]+1]={506,"Goat Masked Tarkr"..string.char(195)..string.char(174).."p (R1)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={507,"Goat Masked Ongb"..string.char(195)..string.char(186).."rz (R2)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={508,"Goat Masked Blogmal (R3)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={509,"Goat Masked Krahjarn (R4)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={510,"Bear Masked Tarkr"..string.char(195)..string.char(174).."p (R5)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={511,"Bear Masked Ongb"..string.char(195)..string.char(186).."rz (R6)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={512,"Bear Masked Blogmal (R7)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={513,"Bear Masked Krahjarn (R8)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={514,"Auroch Masked Tarkr"..string.char(195)..string.char(174).."p (R9)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={515,"Auroch Masked Ongb"..string.char(195)..string.char(186).."rz (R10)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={516,"Auroch Masked Blogmal (R11)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={517,"Auroch Masked Krhjarn (R12)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={518,"Drake Masked Ongb"..string.char(195)..string.char(186).."rz (R13)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={519,"Drake Masked Blogmal (R14)",0,0}
Trait[2][4][2][#Trait[2][4][2]+1]={520,"Drake Masked Krahjarn (R15)",0,0}

-- Reaver
Trait[2][4][3][#Trait[2][4][1]+1]={521,"Fighter (R1)",0x410085b4,0}
Trait[2][4][3][#Trait[2][4][1]+1]={522,"White Hand Fighter (R2)",0x410085b5,0}
Trait[2][4][3][#Trait[2][4][1]+1]={523,"Helmed Ongb"..string.char(195)..string.char(186).."rz soldier (R3)",0x410085b6,0}
Trait[2][4][3][#Trait[2][4][1]+1]={524,"Helmed Krahjarn Soldier (R4)",0x410085b7,0}
Trait[2][4][3][#Trait[2][4][1]+1]={525,"Helmed Krahjarn Drummer (R5)",0x410085b8,0}
Trait[2][4][3][#Trait[2][4][1]+1]={526,"Helmed Soldier (R6)",0x410085b9,0}
Trait[2][4][3][#Trait[2][4][1]+1]={527,"White Hand Soldier (R7)",0x41019929,0}
Trait[2][4][3][#Trait[2][4][1]+1]={528,"Tarkr"..string.char(195)..string.char(174).."p Fighter (R8)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={529,"Tarkr"..string.char(195)..string.char(174).."p Soldier (R9)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={530,"Helmed Krahjarn Soldier (R10)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={531,"Blogmal Soldier (R11)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={532,"Ongb"..string.char(195)..string.char(186).."rz Warrior (R12)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={533,"Elite Ongb"..string.char(195)..string.char(186).."rz Warrior (R13)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={534,"Ongb"..string.char(195)..string.char(186).."rz Warlord (R14)",0,0}
Trait[2][4][3][#Trait[2][4][1]+1]={535,"Elite Ongb"..string.char(195)..string.char(186).."rz Warlord (R15)",0,0}

-- Stalker
Trait[2][4][4][#Trait[2][4][4]+1]={536,"Ruins-howler (R1)",0x410085f4,0}
Trait[2][4][4][#Trait[2][4][4]+1]={537,"Bone-chewer (R2)",0x410085f5,0}
Trait[2][4][4][#Trait[2][4][4]+1]={538,"Corpse-ravager (R3)",0x410085f6,0}
Trait[2][4][4][#Trait[2][4][4]+1]={539,"War-beast (R4)",0x410085f7,0}
Trait[2][4][4][#Trait[2][4][4]+1]={540,"Den-leader (R5)",0x410085f8,0}
Trait[2][4][4][#Trait[2][4][4]+1]={541,"Prowler (R6)",0x410085f9,0}
Trait[2][4][4][#Trait[2][4][4]+1]={542,"Blood-seeker (R7)",0x41019aaa,0}
Trait[2][4][4][#Trait[2][4][4]+1]={543,"Red-fang (R8)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={544,"Scavenger (R9)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={545,"Dire Warg (R10)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={546,"Twilight-howler (R11)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={547,"Pack-lord (R12)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={548,"Man-flayer (R13)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={549,"Mountain-prowler (R14)",0,0}
Trait[2][4][4][#Trait[2][4][4]+1]={550,"Raging Dire Warg (R15)",0,0}

-- WarLeader
Trait[2][4][5][#Trait[2][4][5]+1]={551,"Urukhai Soldier (R1)",0x410085e5,0}
Trait[2][4][5][#Trait[2][4][5]+1]={552,"Urukhai Lieutenant (R2)",0x410085e6,0}
Trait[2][4][5][#Trait[2][4][5]+1]={553,"Urukhai Captain (R3)",0x410085e7,0}
Trait[2][4][5][#Trait[2][4][5]+1]={554,"Urukhai Tyrant (R4)",0x410085e8,0}
Trait[2][4][5][#Trait[2][4][5]+1]={555,"Wicked Urukhai Lieutenant (R5)",0x410085e9,0}
Trait[2][4][5][#Trait[2][4][5]+1]={556,"Wicked Urukhai Captain (R6)",0x410085ea,0}
Trait[2][4][5][#Trait[2][4][5]+1]={557,"Urukhai Overseer (R7)",0x41019aab,0}
Trait[2][4][5][#Trait[2][4][5]+1]={558,"Tarkrip Lieutenant (R8)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={559,"Tarkrip Captain (R9)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={560,"Tarkrip Tyrant (R10)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={561,"Blogmal Lieutenant (R11)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={562,"Blogmal Captain (R12)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={563,"Blogmal Tyrant (R13)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={564,"Wicked Urukhai Tyrant (R14)",0,0}
Trait[2][4][5][#Trait[2][4][5]+1]={565,"Urukhai War-Tyrant (R15)",0,0}

-- Weaver
Trait[2][4][6][#Trait[2][4][6]+1]={566,"Shadow Watcher (R1)",0x410085c5,0}
Trait[2][4][6][#Trait[2][4][6]+1]={567,"Wood Creeper (R2)",0x410085c6,0}
Trait[2][4][6][#Trait[2][4][6]+1]={568,"Forest Biter (R3)",0x410085c7,0}
Trait[2][4][6][#Trait[2][4][6]+1]={569,"Tomb Ambusher (R4)",0x410085c8,0}
Trait[2][4][6][#Trait[2][4][6]+1]={570,"Moor Spinner (R5)",0x410085c9,0}
Trait[2][4][6][#Trait[2][4][6]+1]={571,"Cragstone Queen (R6)",0x410085ca,0}
Trait[2][4][6][#Trait[2][4][6]+1]={572,"Shadow Queen (R7)",0x41019a22,0}
Trait[2][4][6][#Trait[2][4][6]+1]={573,"Ash Weaver (R8)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={574,"Kingsfell Creeper (R9)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={575,"Rift-crawler Queen (R10)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={576,"Vile Moor-web (R11)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={577,"Barrow Queen (R12)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={578,"Bogbereth Spinner (R13)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={579,"Bogbereth Matron (R14)",0,0}
Trait[2][4][6][#Trait[2][4][6]+1]={580,"Grimfang Ambusher (R15)",0,0}
