--todo
-- translations for Finesse, Base (resistance), Physical (mitigation)
-- what do we do for character="ALL"

StatsEventHandler=function()
	if inventoryWindow.CharacterList:GetText()==currentCharacterName then
		inventoryWindow.ViewPanel[3].NeedsRefresh=true;
		inventoryWindow.viewPanel[3]:SetWantsUpdates(true);
	end
end
StatsPanel=class(Turbine.UI.Control)
function StatsPanel:Constructor()
	Turbine.UI.Control.Constructor(self)

	self.characterIndex=1;
	local charIndex;
	for charIndex=1,#characterListArray do
		if characterListArray[charIndex][1]==currentCharacterName then
			self.characterIndex=charIndex;
			break;
		end
	end

	self:SetMouseVisible(false);
	self:SetVisible(false);
	self.NeedsRefresh=false
	self:SetWantsUpdates(false);
	self:SetSize(200,200); -- setting a default size prevents child controls initializing at a negative size which is VERY bad for text positioning
	self.VP=Turbine.UI.Control()
	self.VP:SetParent(self);
	self.VP:SetBackColor(Turbine.UI.Color(1,0,0,0));
	self.VP:SetPosition(0,45);
	self.VP:SetSize(188,155);

	self.AttributeWarning=Turbine.UI.Label()
	self.AttributeWarning:SetParent(self.VP)
	self.AttributeWarning:SetZOrder(0);
	self.AttributeWarning:SetSize(self.VP:GetSize());
	self.AttributeWarning:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	self.AttributeWarning:SetMultiline(true);
	self.AttributeWarning:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.AttributeWarning:SetText("Note: Attributes are disabled by default. As of Update 5, enabling Attributes can cause the client to crash IF you unload the plugin and then perform an action that accesses an inventory item or some skills. It is safe to enable Attributes as long as you do not ever unload the plugin prior to logging off. To enable Attributes, open the Options window and check the \"Enable Attributes\" option.")

	self.AP=Turbine.UI.Control();
	self.AP:SetParent(self.VP);
	self.AP:SetBackColor(Turbine.UI.Color(1,0,0,0));
	self.AP:SetPosition(0,0);
	self.AP:SetSize(188,320);
	self.AP:SetZOrder(1);
	self.AP:SetVisible(enableAttributes);

	self.VScroll=Turbine.UI.Lotro.ScrollBar();
	self.VScroll:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.VScroll:SetParent(self);
	self.VScroll:SetBackColor(backColor);
	self.VScroll:SetPosition(self:GetWidth()-12,45);
	self.VScroll:SetWidth(12);
	self.VScroll:SetHeight(200);
	self.VScroll.ValueChanged=function()
		self.AP:SetTop(0-self.VScroll:GetValue())
	end

	self.BogusAttributes={}
	self.BogusAttributes.GetArmor=function() return 0 end;
	self.BogusAttributes.GetAcidMitigation=function() return 0 end;
	self.BogusAttributes.GetAgility=function() return 0 end;
	self.BogusAttributes.GetFate=function() return 0 end;
	self.BogusAttributes.GetBaseResistance=function() return 0 end;
	self.BogusAttributes.GetBlock=function() return 0 end;
	self.BogusAttributes.GetCommonMitigation=function() return 0 end;
	self.BogusAttributes.GetDiseaseResistance=function() return 0 end;
	self.BogusAttributes.GetEvade=function() return 0 end;
	self.BogusAttributes.GetFearResistance=function() return 0 end;
	self.BogusAttributes.GetFinesse=function() return 0 end;
	self.BogusAttributes.GetFireMitigation=function() return 0 end;
	self.BogusAttributes.GetFrostMitigation=function() return 0 end;
	self.BogusAttributes.GetIncomingHealing=function() return 0 end;
	self.BogusAttributes.GetLightningMitigation=function() return 0 end;
	self.BogusAttributes.GetParry=function() return 0 end;
	self.BogusAttributes.GetPhysicalMitigation=function() return 0 end;
	self.BogusAttributes.GetPoisonResistance=function() return 0 end;
	self.BogusAttributes.GetShadowMitigation=function() return 0 end;
	self.BogusAttributes.GetTacticalMitigation=function() return 0 end;
	self.BogusAttributes.GetWoundResistance=function() return 0 end;
	self.BogusAttributes.GetOutgoingHealing=function() return 0 end;
	self.BogusAttributes.GetMight=function() return 0 end;
	self.BogusAttributes.GetVitality=function() return 0 end;
	self.BogusAttributes.GetWill=function() return 0 end;
	self.BogusAttributes.GetBaseCriticalHitAvoidance=function() return 0 end;
	self.BogusAttributes.GetMeleeCriticalHitAvoidance=function() return 0 end;
	self.BogusAttributes.GetRangeCriticalHitAvoidance=function() return 0 end;
	self.BogusAttributes.GetTacticalCriticalHitAvoidance=function() return 0 end;
	self.BogusAttributes.GetBaseCriticalHitChance=function() return 0 end;
	self.BogusAttributes.GetMeleeCriticalHitChance=function() return 0 end;
	self.BogusAttributes.GetRangeCriticalHitChance=function() return 0 end;
	self.BogusAttributes.GetTacticalCriticalHitChance=function() return 0 end;
	self.BogusAttributes.GetMeleeDamage=function() return 0 end;
	self.BogusAttributes.GetRangeDamage=function() return 0 end;
	self.BogusAttributes.GetTacticalDamage=function() return 0 end;
	self.BogusAttributes.GetMeleeDefence=function() return 0 end;
	self.BogusAttributes.GetRangeDefence=function() return 0 end;
	self.BogusAttributes.GetTacticalDefence=function() return 0 end;

	if enableAttributes then
		self.Attributes=localPlayer:GetAttributes();
	else
		self.Attributes=self.BogusAttributes;
	end

	self.Alignment=localPlayer:GetAlignment();

	-- these three use resource strings in their displays so we need to track them for SetLanguage
	self.Race=GetRaceIndex(localPlayer:GetRace());
	self.Class=GetClassIndex(localPlayer:GetClass());
	self.Level=localPlayer:GetLevel();

	local colWidth1=self:GetWidth()/3;

	self.RaceBackground=Turbine.UI.Control();
	self.RaceBackground:SetParent(self);
	self.RaceBackground:SetBlendMode(5);
	self.RaceBackground:SetSize(colWidth1,26);
	self.RaceBackground:SetPosition(0,0);
	self.RaceBackground:SetBackground(0x410dcf9f);
	self.RaceText=Turbine.UI.Label();
	self.RaceText:SetParent(self.RaceBackground);
	self.RaceText:SetSize(colWidth1-5,18);
	self.RaceText:SetPosition(5,3);
	self.RaceText:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.RaceText:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.RaceText:SetForeColor(fontColor);
	self.RaceText:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.RaceText:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.RaceText:SetText(raceArray[1][2]);
	self.Separator1=Turbine.UI.Control();
	self.Separator1:SetParent(self);
	self.Separator1:SetBlendMode(5);
	self.Separator1:SetSize(2,26);
	self.Separator1:SetPosition(colWidth1,0);
	self.Separator1:SetBackground(0x410dcfa0);
	self.ClassBackground=Turbine.UI.Control();
	self.ClassBackground:SetParent(self);
	self.ClassBackground:SetBlendMode(5);
	self.ClassBackground:SetSize(colWidth1,26);
	self.ClassBackground:SetPosition(colWidth1+2,0);
	self.ClassBackground:SetBackground(0x410dcf9f);
	self.ClassText=Turbine.UI.Label();
	self.ClassText:SetParent(self.ClassBackground);
	self.ClassText:SetSize(colWidth1-5,18);
	self.ClassText:SetPosition(5,3);
	self.ClassText:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ClassText:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.ClassText:SetForeColor(fontColor);
	self.ClassText:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ClassText:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ClassText:SetText(classArray[self.Class][3]);
	self.Separator2=Turbine.UI.Control();
	self.Separator2:SetParent(self);
	self.Separator2:SetBlendMode(5);
	self.Separator2:SetSize(2,26);
	self.Separator2:SetPosition(colWidth1*2,0);
	self.Separator2:SetBackground(0x410dcfa0);
	self.LevelBackground=Turbine.UI.Control();
	self.LevelBackground:SetParent(self);
	self.LevelBackground:SetBlendMode(5);
	self.LevelBackground:SetSize(colWidth1,26);
	self.LevelBackground:SetPosition(colWidth1*2+2,0);
	self.LevelBackground:SetBackground(0x410dcf9f);
	self.LevelText=Turbine.UI.Label();
	self.LevelText:SetParent(self.LevelBackground);
	self.LevelText:SetSize(colWidth1-5,18);
	self.LevelText:SetPosition(5,3);
	self.LevelText:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.LevelText:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.LevelText:SetForeColor(fontColor);
	self.LevelText:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.LevelText:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.LevelText:SetText(Resource[language][85].." "..self.Level);
	self.MoraleBackground=Turbine.UI.Control();
	self.MoraleBackground:SetParent(self);
	self.MoraleBackground:SetBlendMode(5);
	self.MoraleBackground:SetSize(colWidth1,18);
	self.MoraleBackground:SetPosition(0,27);
	self.MoraleBackground:SetBackground(0x410dcf9f);
	self.MoraleIcon=Turbine.UI.Control();
	self.MoraleIcon:SetParent(self.MoraleBackground);
	self.MoraleIcon:SetBlendMode(5);
	self.MoraleIcon:SetSize(24,25);
	self.MoraleIcon:SetPosition(3,-1);
	self.MoraleIcon:SetBackground(0x410dcfce);
	self.MoraleLabel=Turbine.UI.Label();
	self.MoraleLabel:SetParent(self.MoraleBackground);
	self.MoraleLabel:SetSize(60,18);
	self.MoraleLabel:SetPosition(27,1);
	self.MoraleLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.MoraleLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.MoraleLabel:SetForeColor(Turbine.UI.Color(.33,.66,.33));
	self.MoraleLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MoraleLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MoraleLabel:SetText(Resource[language][86]);
	self.MoraleValue=Turbine.UI.Label();
	self.MoraleValue:SetParent(self.MoraleBackground);
	self.MoraleValue:SetSize(0,18);
	self.MoraleValue:SetPosition(88,1);
	self.MoraleValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.MoraleValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.MoraleValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.MoraleValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MoraleValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MoraleValue:SetText("0/0");
	self.Separator3=Turbine.UI.Control();
	self.Separator3:SetParent(self);
	self.Separator3:SetBlendMode(5);
	self.Separator3:SetSize(2,18);
	self.Separator3:SetPosition(colWidth1,27);
	self.Separator3:SetBackground(0x410dcfa0);
	self.PowerBackground=Turbine.UI.Control();
	self.PowerBackground:SetParent(self);
	self.PowerBackground:SetBlendMode(5);
	self.PowerBackground:SetSize(colWidth1,18);
	self.PowerBackground:SetPosition(colWidth1+2,27);
	self.PowerBackground:SetBackground(0x410dcf9f);
	self.PowerIcon=Turbine.UI.Control();
	self.PowerIcon:SetParent(self.PowerBackground);
	self.PowerIcon:SetBlendMode(5);
	self.PowerIcon:SetSize(24,25);
	self.PowerIcon:SetPosition(3,-1);
	self.PowerIcon:SetBackground(0x410dcfcf);
	self.PowerLabel=Turbine.UI.Label();
	self.PowerLabel:SetParent(self.PowerBackground);
	self.PowerLabel:SetSize(60,18);
	self.PowerLabel:SetPosition(27,1);
	self.PowerLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.PowerLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.PowerLabel:SetForeColor(Turbine.UI.Color(0,.66,.75));
	self.PowerLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.PowerLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.PowerLabel:SetText(Resource[language][87]);
	self.PowerValue=Turbine.UI.Label();
	self.PowerValue:SetParent(self.PowerBackground);
	self.PowerValue:SetSize(0,18);
	self.PowerValue:SetPosition(78,1);
	self.PowerValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.PowerValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.PowerValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.PowerValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.PowerValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.PowerValue:SetText("0/0");
	self.Separator4=Turbine.UI.Control();
	self.Separator4:SetParent(self);
	self.Separator4:SetBlendMode(5);
	self.Separator4:SetSize(2,18);
	self.Separator4:SetPosition(colWidth1*2,27);
	self.Separator4:SetBackground(0x410dcfa0);
	self.ArmorBackground=Turbine.UI.Control();
	self.ArmorBackground:SetParent(self);
	self.ArmorBackground:SetBlendMode(5);
	self.ArmorBackground:SetSize(colWidth1,18);
	self.ArmorBackground:SetPosition(colWidth1*2+2,27);
	self.ArmorBackground:SetBackground(0x410dcf9f);
	self.ArmorIcon=Turbine.UI.Control();
	self.ArmorIcon:SetParent(self.ArmorBackground);
	self.ArmorIcon:SetBlendMode(5);
	self.ArmorIcon:SetSize(24,25);
	self.ArmorIcon:SetPosition(3,-1);
	self.ArmorIcon:SetBackground(0x410dcfd0);
	self.ArmorLabel=Turbine.UI.Label();
	self.ArmorLabel:SetParent(self.ArmorBackground);
	self.ArmorLabel:SetSize(60,18);
	self.ArmorLabel:SetPosition(27,1);
	self.ArmorLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ArmorLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.ArmorLabel:SetForeColor(Turbine.UI.Color(.5,.4,.2));
	self.ArmorLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ArmorLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ArmorLabel:SetText(Resource[language][257]);
	self.ArmorValue=Turbine.UI.Label();
	self.ArmorValue:SetParent(self.ArmorBackground);
	self.ArmorValue:SetSize(0,18);
	self.ArmorValue:SetPosition(88,1);
	self.ArmorValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ArmorValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.ArmorValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.ArmorValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ArmorValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ArmorValue:SetText("0");

	colWidth1=self:GetWidth()/2;
	local colWidth2=self:GetWidth()/2-102;
	local colWidth3=self:GetWidth()/2+102;

	self.StatsHeading=Turbine.UI.Label();
	self.StatsHeading:SetParent(self.AP);
	self.StatsHeading:SetSize(colWidth1-10,18);
	self.StatsHeading:SetPosition(5,5);
	self.StatsHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.StatsHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.StatsHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.StatsHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.StatsHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.StatsHeading:SetText(Resource[language][258]);
	self.StatsSeparator=Turbine.UI.Control();
	self.StatsSeparator:SetParent(self.AP);
	self.StatsSeparator:SetSize(self.StatsHeading:GetWidth(),1);
	self.StatsSeparator:SetPosition(self.StatsHeading:GetLeft(),self.StatsHeading:GetTop()+18);
	self.StatsSeparator:SetBackColor(trimColor);
	self.MightLabel=Turbine.UI.Label();
	self.MightLabel:SetParent(self.AP);
	self.MightLabel:SetSize(100,15);
	self.MightLabel:SetPosition(5,self.StatsHeading:GetTop()+20);
	self.MightLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.MightLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.MightLabel:SetForeColor(fontColor);
	self.MightLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MightLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MightLabel:SetText(Resource[language][259]);
	self.MightValue=Turbine.UI.Label();
	self.MightValue:SetParent(self.AP);
	self.MightValue:SetSize(colWidth2,15);
	self.MightValue:SetPosition(102,self.MightLabel:GetTop());
	self.MightValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.MightValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.MightValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.MightValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MightValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MightValue:SetText(0);
	self.AgilityLabel=Turbine.UI.Label();
	self.AgilityLabel:SetParent(self.AP);
	self.AgilityLabel:SetSize(100,15);
	self.AgilityLabel:SetPosition(5,self.MightLabel:GetTop()+15);
	self.AgilityLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.AgilityLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.AgilityLabel:SetForeColor(fontColor);
	self.AgilityLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.AgilityLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.AgilityLabel:SetText(Resource[language][260]);
	self.AgilityValue=Turbine.UI.Label();
	self.AgilityValue:SetParent(self.AP);
	self.AgilityValue:SetSize(colWidth2,15);
	self.AgilityValue:SetPosition(102,self.AgilityLabel:GetTop());
	self.AgilityValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.AgilityValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.AgilityValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.AgilityValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.AgilityValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.AgilityValue:SetText("0");
	self.VitalityLabel=Turbine.UI.Label();
	self.VitalityLabel:SetParent(self.AP);
	self.VitalityLabel:SetSize(100,15);
	self.VitalityLabel:SetPosition(5,self.AgilityLabel:GetTop()+15);
	self.VitalityLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.VitalityLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.VitalityLabel:SetForeColor(fontColor);
	self.VitalityLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.VitalityLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.VitalityLabel:SetText(Resource[language][261]);
	self.VitalityValue=Turbine.UI.Label();
	self.VitalityValue:SetParent(self.AP);
	self.VitalityValue:SetSize(colWidth2,15);
	self.VitalityValue:SetPosition(102,self.VitalityLabel:GetTop());
	self.VitalityValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.VitalityValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.VitalityValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.VitalityValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.VitalityValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.VitalityValue:SetText(0);
	self.WillLabel=Turbine.UI.Label();
	self.WillLabel:SetParent(self.AP);
	self.WillLabel:SetSize(100,15);
	self.WillLabel:SetPosition(5,self.VitalityLabel:GetTop()+15);
	self.WillLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.WillLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.WillLabel:SetForeColor(fontColor);
	self.WillLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.WillLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.WillLabel:SetText(Resource[language][262]);
	self.WillValue=Turbine.UI.Label();
	self.WillValue:SetParent(self.AP);
	self.WillValue:SetSize(colWidth2,15);
	self.WillValue:SetPosition(102,self.WillLabel:GetTop());
	self.WillValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.WillValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.WillValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.WillValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.WillValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.WillValue:SetText(0);
	self.FateLabel=Turbine.UI.Label();
	self.FateLabel:SetParent(self.AP);
	self.FateLabel:SetSize(100,15);
	self.FateLabel:SetPosition(5,self.WillLabel:GetTop()+15);
	self.FateLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.FateLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.FateLabel:SetForeColor(fontColor);
	self.FateLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FateLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FateLabel:SetText(Resource[language][263]);
	self.FateValue=Turbine.UI.Label();
	self.FateValue:SetParent(self.AP);
	self.FateValue:SetSize(colWidth2,15);
	self.FateValue:SetPosition(102,self.FateLabel:GetTop());
	self.FateValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.FateValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.FateValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.FateValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FateValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FateValue:SetText(0);

	self.FinesseLabel=Turbine.UI.Label();
	self.FinesseLabel:SetParent(self.AP);
	self.FinesseLabel:SetSize(100,15);
	self.FinesseLabel:SetPosition(5,self.FateLabel:GetTop()+20);
	self.FinesseLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.FinesseLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.FinesseLabel:SetForeColor(fontColor);
	self.FinesseLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FinesseLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FinesseLabel:SetText(Resource[language][299]);
	self.FinesseValue=Turbine.UI.Label();
	self.FinesseValue:SetParent(self.AP);
	self.FinesseValue:SetSize(colWidth2,15);
	self.FinesseValue:SetPosition(102,self.FinesseLabel:GetTop());
	self.FinesseValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.FinesseValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.FinesseValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.FinesseValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FinesseValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FinesseValue:SetText(0);

	self.HealingHeading=Turbine.UI.Label();
	self.HealingHeading:SetParent(self.AP);
	self.HealingHeading:SetSize(colWidth1-10,18);
	self.HealingHeading:SetPosition(5,self.FinesseLabel:GetTop()+20);
	self.HealingHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.HealingHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.HealingHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.HealingHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.HealingHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.HealingHeading:SetText(Resource[language][273]);
	self.HealingSeparator=Turbine.UI.Control();
	self.HealingSeparator:SetParent(self.AP);
	self.HealingSeparator:SetSize(self.HealingHeading:GetWidth(),1);
	self.HealingSeparator:SetPosition(self.HealingHeading:GetLeft(),self.HealingHeading:GetTop()+18);
	self.HealingSeparator:SetBackColor(trimColor);
	self.OutgoingLabel=Turbine.UI.Label();
	self.OutgoingLabel:SetParent(self.AP);
	self.OutgoingLabel:SetSize(100,15);
	self.OutgoingLabel:SetPosition(5,self.HealingHeading:GetTop()+20);
	self.OutgoingLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.OutgoingLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.OutgoingLabel:SetForeColor(fontColor);
	self.OutgoingLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.OutgoingLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.OutgoingLabel:SetText(Resource[language][275]);
	self.OutgoingValue=Turbine.UI.Label();
	self.OutgoingValue:SetParent(self.AP);
	self.OutgoingValue:SetSize(colWidth2,15);
	self.OutgoingValue:SetPosition(102,self.OutgoingLabel:GetTop());
	self.OutgoingValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.OutgoingValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.OutgoingValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.OutgoingValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.OutgoingValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.OutgoingValue:SetText(0);
	self.IncomingLabel=Turbine.UI.Label();
	self.IncomingLabel:SetParent(self.AP);
	self.IncomingLabel:SetSize(100,15);
	self.IncomingLabel:SetPosition(5,self.OutgoingLabel:GetTop()+15);
	self.IncomingLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.IncomingLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.IncomingLabel:SetForeColor(fontColor);
	self.IncomingLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.IncomingLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.IncomingLabel:SetText(Resource[language][276]);
	self.IncomingValue=Turbine.UI.Label();
	self.IncomingValue:SetParent(self.AP);
	self.IncomingValue:SetSize(colWidth2,15);
	self.IncomingValue:SetPosition(102,self.IncomingLabel:GetTop());
	self.IncomingValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.IncomingValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.IncomingValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.IncomingValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.IncomingValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.IncomingValue:SetText(0);

	self.AvoidancesHeading=Turbine.UI.Label();
	self.AvoidancesHeading:SetParent(self.AP);
	self.AvoidancesHeading:SetSize(colWidth1-10,18);
	self.AvoidancesHeading:SetPosition(5,self.IncomingLabel:GetTop()+20);
	self.AvoidancesHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.AvoidancesHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.AvoidancesHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.AvoidancesHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.AvoidancesHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.AvoidancesHeading:SetText(Resource[language][278]);
	self.AvoidancesSeparator=Turbine.UI.Control();
	self.AvoidancesSeparator:SetParent(self.AP);
	self.AvoidancesSeparator:SetSize(self.AvoidancesHeading:GetWidth(),1);
	self.AvoidancesSeparator:SetPosition(self.AvoidancesHeading:GetLeft(),self.AvoidancesHeading:GetTop()+18);
	self.AvoidancesSeparator:SetBackColor(trimColor);
	self.BlockLabel=Turbine.UI.Label();
	self.BlockLabel:SetParent(self.AP);
	self.BlockLabel:SetSize(100,15);
	self.BlockLabel:SetPosition(5,self.AvoidancesHeading:GetTop()+20);
	self.BlockLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.BlockLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.BlockLabel:SetForeColor(fontColor);
	self.BlockLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.BlockLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.BlockLabel:SetText(Resource[language][279]);
	self.BlockValue=Turbine.UI.Label();
	self.BlockValue:SetParent(self.AP);
	self.BlockValue:SetSize(colWidth2,15);
	self.BlockValue:SetPosition(102,self.BlockLabel:GetTop());
	self.BlockValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.BlockValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.BlockValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.BlockValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.BlockValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.BlockValue:SetText(0);
	self.ParryLabel=Turbine.UI.Label();
	self.ParryLabel:SetParent(self.AP);
	self.ParryLabel:SetSize(100,15);
	self.ParryLabel:SetPosition(5,self.BlockLabel:GetTop()+15);
	self.ParryLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ParryLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.ParryLabel:SetForeColor(fontColor);
	self.ParryLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ParryLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ParryLabel:SetText(Resource[language][281]);
	self.ParryValue=Turbine.UI.Label();
	self.ParryValue:SetParent(self.AP);
	self.ParryValue:SetSize(colWidth2,15);
	self.ParryValue:SetPosition(102,self.ParryLabel:GetTop());
	self.ParryValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.ParryValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.ParryValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.ParryValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ParryValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ParryValue:SetText(0);
	self.EvadeLabel=Turbine.UI.Label();
	self.EvadeLabel:SetParent(self.AP);
	self.EvadeLabel:SetSize(100,15);
	self.EvadeLabel:SetPosition(5,self.ParryLabel:GetTop()+15);
	self.EvadeLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.EvadeLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.EvadeLabel:SetForeColor(fontColor);
	self.EvadeLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.EvadeLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.EvadeLabel:SetText(Resource[language][280]);
	self.EvadeValue=Turbine.UI.Label();
	self.EvadeValue:SetParent(self.AP);
	self.EvadeValue:SetSize(colWidth2,15);
	self.EvadeValue:SetPosition(102,self.EvadeLabel:GetTop());
	self.EvadeValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.EvadeValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.EvadeValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.EvadeValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.EvadeValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.EvadeValue:SetText(0);

	self.ResistancesHeading=Turbine.UI.Label();
	self.ResistancesHeading:SetParent(self.AP);
	self.ResistancesHeading:SetSize(colWidth1-10,18);
	self.ResistancesHeading:SetPosition(colwidth1,5);
	self.ResistancesHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ResistancesHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.ResistancesHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.ResistancesHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ResistancesHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ResistancesHeading:SetText(Resource[language][282]);
	self.ResistancesSeparator=Turbine.UI.Control();
	self.ResistancesSeparator:SetParent(self.AP);
	self.ResistancesSeparator:SetSize(self.ResistancesHeading:GetWidth(),1);
	self.ResistancesSeparator:SetPosition(self.ResistancesHeading:GetLeft(),self.ResistancesHeading:GetTop()+18);
	self.ResistancesSeparator:SetBackColor(trimColor);
	self.BaseLabel=Turbine.UI.Label();
	self.BaseLabel:SetParent(self.AP);
	self.BaseLabel:SetSize(100,15);
	self.BaseLabel:SetPosition(colwidth1,self.ResistancesHeading:GetTop()+20);
	self.BaseLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.BaseLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.BaseLabel:SetForeColor(fontColor);
	self.BaseLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.BaseLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.BaseLabel:SetText(Resource[language][300]);
	self.BaseValue=Turbine.UI.Label();
	self.BaseValue:SetParent(self.AP);
	self.BaseValue:SetSize(colWidth2,15);
	self.BaseValue:SetPosition(102,self.BaseLabel:GetTop());
	self.BaseValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.BaseValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.BaseValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.BaseValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.BaseValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.BaseValue:SetText("0");

	self.MitigationsHeading=Turbine.UI.Label();
	self.MitigationsHeading:SetParent(self.AP);
	self.MitigationsHeading:SetSize(colWidth1-10,18);
	self.MitigationsHeading:SetPosition(colWidth1,self.BaseLabel:GetTop()+20);
	self.MitigationsHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.MitigationsHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.MitigationsHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.MitigationsHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MitigationsHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MitigationsHeading:SetText(Resource[language][287]);
	self.MitigationsSeparator=Turbine.UI.Control();
	self.MitigationsSeparator:SetParent(self.AP);
	self.MitigationsSeparator:SetSize(self.MitigationsHeading:GetWidth(),1);
	self.MitigationsSeparator:SetPosition(self.MitigationsHeading:GetLeft(),self.MitigationsHeading:GetTop()+18);
	self.MitigationsSeparator:SetBackColor(trimColor);
	self.CommonLabel=Turbine.UI.Label();
	self.CommonLabel:SetParent(self.AP);
	self.CommonLabel:SetSize(100,15);
	self.CommonLabel:SetPosition(colWidth1,self.MitigationsHeading:GetTop()+20);
	self.CommonLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.CommonLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.CommonLabel:SetForeColor(fontColor);
	self.CommonLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CommonLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CommonLabel:SetText(Resource[language][288]);
	self.CommonValue=Turbine.UI.Label();
	self.CommonValue:SetParent(self.AP);
	self.CommonValue:SetSize(colWidth2,15);
	self.CommonValue:SetPosition(colWidth3,self.CommonLabel:GetTop());
	self.CommonValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.CommonValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.CommonValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.CommonValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CommonValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CommonValue:SetText(0);
	self.FireLabel=Turbine.UI.Label();
	self.FireLabel:SetParent(self.AP);
	self.FireLabel:SetSize(100,15);
	self.FireLabel:SetPosition(colWidth1,self.CommonLabel:GetTop()+15);
	self.FireLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.FireLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.FireLabel:SetForeColor(fontColor);
	self.FireLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FireLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FireLabel:SetText(Resource[language][289]);
	self.FireValue=Turbine.UI.Label();
	self.FireValue:SetParent(self.AP);
	self.FireValue:SetSize(colWidth2,15);
	self.FireValue:SetPosition(colWidth3,self.FireLabel:GetTop());
	self.FireValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.FireValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.FireValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.FireValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FireValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FireValue:SetText(0);
	self.FrostLabel=Turbine.UI.Label();
	self.FrostLabel:SetParent(self.AP);
	self.FrostLabel:SetSize(100,15);
	self.FrostLabel:SetPosition(colWidth1,self.FireLabel:GetTop()+15);
	self.FrostLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.FrostLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.FrostLabel:SetForeColor(fontColor);
	self.FrostLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FrostLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FrostLabel:SetText(Resource[language][290]);
	self.FrostValue=Turbine.UI.Label();
	self.FrostValue:SetParent(self.AP);
	self.FrostValue:SetSize(colWidth2,15);
	self.FrostValue:SetPosition(colWidth3,self.FrostLabel:GetTop());
	self.FrostValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.FrostValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.FrostValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.FrostValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.FrostValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.FrostValue:SetText(0);
	self.ShadowLabel=Turbine.UI.Label();
	self.ShadowLabel:SetParent(self.AP);
	self.ShadowLabel:SetSize(100,15);
	self.ShadowLabel:SetPosition(colWidth1,self.FrostLabel:GetTop()+15);
	self.ShadowLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.ShadowLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.ShadowLabel:SetForeColor(fontColor);
	self.ShadowLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ShadowLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ShadowLabel:SetText(Resource[language][291]);
	self.ShadowValue=Turbine.UI.Label();
	self.ShadowValue:SetParent(self.AP);
	self.ShadowValue:SetSize(colWidth2,15);
	self.ShadowValue:SetPosition(colWidth3,self.ShadowLabel:GetTop());
	self.ShadowValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.ShadowValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.ShadowValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.ShadowValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.ShadowValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ShadowValue:SetText(0);
	self.LightningLabel=Turbine.UI.Label();
	self.LightningLabel:SetParent(self.AP);
	self.LightningLabel:SetSize(100,15);
	self.LightningLabel:SetPosition(colWidth1,self.ShadowLabel:GetTop()+15);
	self.LightningLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.LightningLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.LightningLabel:SetForeColor(fontColor);
	self.LightningLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.LightningLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.LightningLabel:SetText(Resource[language][292]);
	self.LightningValue=Turbine.UI.Label();
	self.LightningValue:SetParent(self.AP);
	self.LightningValue:SetSize(colWidth2,15);
	self.LightningValue:SetPosition(colWidth3,self.LightningLabel:GetTop());
	self.LightningValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.LightningValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.LightningValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.LightningValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.LightningValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.LightningValue:SetText(0);
	self.AcidLabel=Turbine.UI.Label();
	self.AcidLabel:SetParent(self.AP);
	self.AcidLabel:SetSize(100,15);
	self.AcidLabel:SetPosition(colWidth1,self.LightningLabel:GetTop()+15);
	self.AcidLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.AcidLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.AcidLabel:SetForeColor(fontColor);
	self.AcidLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.AcidLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.AcidLabel:SetText(Resource[language][293]);
	self.AcidValue=Turbine.UI.Label();
	self.AcidValue:SetParent(self.AP);
	self.AcidValue:SetSize(colWidth2,15);
	self.AcidValue:SetPosition(colWidth3,self.AcidLabel:GetTop());
	self.AcidValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.AcidValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.AcidValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.AcidValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.AcidValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.AcidValue:SetText("0");
	self.PhysicalLabel=Turbine.UI.Label();
	self.PhysicalLabel:SetParent(self.AP);
	self.PhysicalLabel:SetSize(100,15);
	self.PhysicalLabel:SetPosition(colWidth1,self.AcidLabel:GetTop()+15);
	self.PhysicalLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.PhysicalLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.PhysicalLabel:SetForeColor(fontColor);
	self.PhysicalLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.PhysicalLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.PhysicalLabel:SetText(Resource[language][301]);
	self.PhysicalValue=Turbine.UI.Label();
	self.PhysicalValue:SetParent(self.AP);
	self.PhysicalValue:SetSize(colWidth2,15);
	self.PhysicalValue:SetPosition(colWidth3,self.PhysicalLabel:GetTop());
	self.PhysicalValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.PhysicalValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.PhysicalValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.PhysicalValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.PhysicalValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.PhysicalValue:SetText(0);

	self.TacticalLabel=Turbine.UI.Label();
	self.TacticalLabel:SetParent(self.AP);
	self.TacticalLabel:SetSize(100,15);
	self.TacticalLabel:SetPosition(colWidth1,self.PhysicalLabel:GetTop()+15);
	self.TacticalLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.TacticalLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.TacticalLabel:SetForeColor(fontColor);
	self.TacticalLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.TacticalLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.TacticalLabel:SetText(Resource[language][267]);
	self.TacticalValue=Turbine.UI.Label();
	self.TacticalValue:SetParent(self.AP);
	self.TacticalValue:SetSize(colWidth2,15);
	self.TacticalValue:SetPosition(colWidth3,self.TacticalLabel:GetTop());
	self.TacticalValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.TacticalValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.TacticalValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.TacticalValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.TacticalValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.TacticalValue:SetText(0);

-- create the table with Melee, Ranged, Tactical labels across the top and Criticals, Crit Def, Offence, Defence as values
	colWidth1=self:GetWidth()/3;

	self.MeleeHeading=Turbine.UI.Label();
	self.MeleeHeading:SetParent(self.AP);
	self.MeleeHeading:SetSize(colWidth1,18);
	self.MeleeHeading:SetPosition(colWidth1,self.EvadeLabel:GetTop()+20);
	self.MeleeHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.MeleeHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.MeleeHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.MeleeHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.MeleeHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.MeleeHeading:SetText(Resource[language][301]);
	self.MeleeSeparator=Turbine.UI.Control();
	self.MeleeSeparator:SetParent(self.AP);
	self.MeleeSeparator:SetSize(self.MeleeHeading:GetWidth(),1);
	self.MeleeSeparator:SetPosition(self.MeleeHeading:GetLeft(),self.MeleeHeading:GetTop()+18);
	self.MeleeSeparator:SetBackColor(trimColor);

	self.TacticalHeading=Turbine.UI.Label();
	self.TacticalHeading:SetParent(self.AP);
	self.TacticalHeading:SetSize(colWidth1,18);
	self.TacticalHeading:SetPosition(colWidth1,self.MeleeHeading:GetTop());
	self.TacticalHeading:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.TacticalHeading:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
	self.TacticalHeading:SetForeColor(Turbine.UI.Color(1,1,1));
	self.TacticalHeading:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.TacticalHeading:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.TacticalHeading:SetText(Resource[language][267]);
	self.TacticalSeparator=Turbine.UI.Control();
	self.TacticalSeparator:SetParent(self.AP);
	self.TacticalSeparator:SetSize(self.TacticalHeading:GetWidth(),1);
	self.TacticalSeparator:SetPosition(self.TacticalHeading:GetLeft(),self.TacticalHeading:GetTop()+18);
	self.TacticalSeparator:SetBackColor(trimColor);

	self.CriticalAvoidLabel=Turbine.UI.Label();
	self.CriticalAvoidLabel:SetParent(self.AP);
	self.CriticalAvoidLabel:SetSize(colWidth1-1,15);
	self.CriticalAvoidLabel:SetPosition(1,self.MeleeHeading:GetTop()+20);
	self.CriticalAvoidLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.CriticalAvoidLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.CriticalAvoidLabel:SetForeColor(fontColor);
	self.CriticalAvoidLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CriticalAvoidLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CriticalAvoidLabel:SetText(Resource[language][294]);

	self.CriticalMeleeAvoidValue=Turbine.UI.Label();
	self.CriticalMeleeAvoidValue:SetParent(self.AP);
	self.CriticalMeleeAvoidValue:SetSize(colWidth1,15);
	self.CriticalMeleeAvoidValue:SetPosition(colWidth1,self.CriticalAvoidLabel:GetTop());
	self.CriticalMeleeAvoidValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.CriticalMeleeAvoidValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.CriticalMeleeAvoidValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.CriticalMeleeAvoidValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CriticalMeleeAvoidValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CriticalMeleeAvoidValue:SetText(0);

	self.CriticalTacticalAvoidValue=Turbine.UI.Label();
	self.CriticalTacticalAvoidValue:SetParent(self.AP);
	self.CriticalTacticalAvoidValue:SetSize(colWidth1,15);
	self.CriticalTacticalAvoidValue:SetPosition(colWidth1*2,self.CriticalAvoidLabel:GetTop());
	self.CriticalTacticalAvoidValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.CriticalTacticalAvoidValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.CriticalTacticalAvoidValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.CriticalTacticalAvoidValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CriticalTacticalAvoidValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CriticalTacticalAvoidValue:SetText(0);

	self.CritHitChanceLabel=Turbine.UI.Label();
	self.CritHitChanceLabel:SetParent(self.AP);
	self.CritHitChanceLabel:SetSize(colWidth1-1,15);
	self.CritHitChanceLabel:SetPosition(1,self.CriticalAvoidLabel:GetTop()+15);
	self.CritHitChanceLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.CritHitChanceLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.CritHitChanceLabel:SetForeColor(fontColor);
	self.CritHitChanceLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CritHitChanceLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CritHitChanceLabel:SetText(Resource[language][295]);

	self.CritHitMeleeChanceValue=Turbine.UI.Label();
	self.CritHitMeleeChanceValue:SetParent(self.AP);
	self.CritHitMeleeChanceValue:SetSize(colWidth1,15);
	self.CritHitMeleeChanceValue:SetPosition(colWidth1,self.CritHitChanceLabel:GetTop());
	self.CritHitMeleeChanceValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.CritHitMeleeChanceValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.CritHitMeleeChanceValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.CritHitMeleeChanceValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CritHitMeleeChanceValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CritHitMeleeChanceValue:SetText(self.CritDefMelee);

	self.CritHitTacticalChanceValue=Turbine.UI.Label();
	self.CritHitTacticalChanceValue:SetParent(self.AP);
	self.CritHitTacticalChanceValue:SetSize(colWidth1,15);
	self.CritHitTacticalChanceValue:SetPosition(colWidth1*2,self.CritHitChanceLabel:GetTop());
	self.CritHitTacticalChanceValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.CritHitTacticalChanceValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.CritHitTacticalChanceValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.CritHitTacticalChanceValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.CritHitTacticalChanceValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.CritHitTacticalChanceValue:SetText(0);

	self.DamageLabel=Turbine.UI.Label();
	self.DamageLabel:SetParent(self.AP);
	self.DamageLabel:SetSize(colWidth1-1,15);
	self.DamageLabel:SetPosition(1,self.CritHitChanceLabel:GetTop()+15);
	self.DamageLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.DamageLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.DamageLabel:SetForeColor(fontColor);
	self.DamageLabel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.DamageLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.DamageLabel:SetText(Resource[language][334]);

	self.DamageMeleeValue=Turbine.UI.Label();
	self.DamageMeleeValue:SetParent(self.AP);
	self.DamageMeleeValue:SetSize(colWidth1,15);
	self.DamageMeleeValue:SetPosition(colWidth1*1,self.DamageLabel:GetTop());
	self.DamageMeleeValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.DamageMeleeValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.DamageMeleeValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.DamageMeleeValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.DamageMeleeValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.DamageMeleeValue:SetText(0);

	self.DamageTacticalValue=Turbine.UI.Label();
	self.DamageTacticalValue:SetParent(self.AP);
	self.DamageTacticalValue:SetSize(colWidth1,15);
	self.DamageTacticalValue:SetPosition(colWidth1*2,self.DamageLabel:GetTop());
	self.DamageTacticalValue:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.DamageTacticalValue:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	self.DamageTacticalValue:SetForeColor(Turbine.UI.Color(1,1,1));
	self.DamageTacticalValue:SetOutlineColor(Turbine.UI.Color(0,0,0));
	self.DamageTacticalValue:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.DamageTacticalValue:SetText(0);

	self.IsValid=function()
		return (self.characterIndex>1)
	end
	self.SizeChanged=function(sender,args)
		local newWidth,newHeight=self:GetWidth(),self:GetHeight();

		self.VP:SetSize(newWidth-12,newHeight-45);
		self.AttributeWarning:SetSize(newWidth-12,newHeight-45);
		self.AP:SetWidth(newWidth-12);
		self.VScroll:SetHeight(newHeight-45);
		self.VScroll:SetLeft(newWidth-12);
		if self.AP:GetHeight()>self.VP:GetHeight() then
			self.VScroll:SetMaximum(self.AP:GetHeight()-self.VP:GetHeight());
			self.VScroll:SetVisible(true);
		else
			self.VScroll:SetVisible(false);
		end

		local colWidth1=self:GetWidth()/3;

		self.RaceBackground:SetWidth(colWidth1);
		self.RaceText:SetSize(colWidth1-5,18);
		self.Separator1:SetLeft(colWidth1);
		self.ClassBackground:SetLeft(colWidth1+2);
		self.ClassBackground:SetWidth(colWidth1);
		self.ClassText:SetSize(colWidth1-5,18);
		self.Separator2:SetLeft(colWidth1*2);
		self.LevelBackground:SetLeft(colWidth1*2+2);
		self.LevelBackground:SetWidth(colWidth1*2);
		self.LevelText:SetSize(colWidth1-5,18);
		self.MoraleBackground:SetWidth(colWidth1);
		self.MoraleValue:SetWidth(colWidth1-88);
		self.Separator3:SetLeft(colWidth1);
		self.PowerBackground:SetWidth(colWidth1);
		self.PowerBackground:SetLeft(colWidth1+2);
		self.PowerValue:SetWidth(colWidth1-68);
		self.Separator4:SetLeft(colWidth1*2);
		self.ArmorBackground:SetWidth(colWidth1);
		self.ArmorBackground:SetLeft(colWidth1*2+2);
		self.ArmorValue:SetWidth(colWidth1-78);

		colWidth1=self.AP:GetWidth()/2;
		local colWidth2=self.AP:GetWidth()/2-102;
		local colWidth3=self.AP:GetWidth()/2+102;

		self.StatsHeading:SetWidth(colWidth1-10);
		self.StatsSeparator:SetWidth(self.StatsHeading:GetWidth());
		self.MightValue:SetWidth(colWidth2);
		self.AgilityValue:SetWidth(colWidth2);
		self.VitalityValue:SetWidth(colWidth2);
		self.WillValue:SetWidth(colWidth2);
		self.FateValue:SetWidth(colWidth2);
		self.FinesseValue:SetWidth(colWidth2);
		self.HealingHeading:SetWidth(colWidth1-10);
		self.HealingSeparator:SetWidth(self.HealingHeading:GetWidth());
		self.OutgoingValue:SetWidth(colWidth2);
		self.IncomingValue:SetWidth(colWidth2);

		self.AvoidancesHeading:SetWidth(colWidth1-10);
		self.AvoidancesSeparator:SetWidth(self.AvoidancesHeading:GetWidth());
		self.BlockValue:SetWidth(colWidth2);
		self.EvadeValue:SetWidth(colWidth2);
		self.ParryValue:SetWidth(colWidth2);

		self.ResistancesHeading:SetWidth(colWidth1-10);
		self.ResistancesHeading:SetLeft(colWidth1);
		self.ResistancesSeparator:SetWidth(self.ResistancesHeading:GetWidth());
		self.ResistancesSeparator:SetLeft(colWidth1);
		self.BaseLabel:SetLeft(colWidth1);
		self.BaseValue:SetWidth(colWidth2);
		self.BaseValue:SetLeft(colWidth3);
		self.MitigationsHeading:SetWidth(colWidth1-10);
		self.MitigationsHeading:SetLeft(colWidth1);
		self.MitigationsSeparator:SetWidth(self.MitigationsHeading:GetWidth());
		self.MitigationsSeparator:SetLeft(self.MitigationsHeading:GetLeft());
		self.CommonLabel:SetLeft(colWidth1);
		self.CommonValue:SetWidth(colWidth2);
		self.CommonValue:SetLeft(colWidth3);
		self.FireLabel:SetLeft(colWidth1);
		self.FireValue:SetWidth(colWidth2);
		self.FireValue:SetLeft(colWidth3);
		self.FrostLabel:SetLeft(colWidth1);
		self.FrostValue:SetWidth(colWidth2);
		self.FrostValue:SetLeft(colWidth3);
		self.ShadowLabel:SetLeft(colWidth1);
		self.ShadowValue:SetWidth(colWidth2);
		self.ShadowValue:SetLeft(colWidth3);
		self.LightningLabel:SetLeft(colWidth1);
		self.LightningValue:SetWidth(colWidth2);
		self.LightningValue:SetLeft(colWidth3);
		self.AcidLabel:SetLeft(colWidth1);
		self.AcidValue:SetWidth(colWidth2);
		self.AcidValue:SetLeft(colWidth3);
		self.PhysicalLabel:SetLeft(colWidth1);
		self.PhysicalValue:SetWidth(colWidth2);
		self.PhysicalValue:SetLeft(colWidth3);
		self.TacticalLabel:SetLeft(colWidth1);
		self.TacticalValue:SetWidth(colWidth2);
		self.TacticalValue:SetLeft(colWidth3);

		colWidth1=self.AP:GetWidth()/3;
		self.MeleeHeading:SetWidth(colWidth1);
		self.MeleeHeading:SetLeft(colWidth1);
		self.MeleeSeparator:SetWidth(self.MeleeHeading:GetWidth());
		self.MeleeSeparator:SetLeft(self.MeleeHeading:GetLeft());
		self.TacticalHeading:SetWidth(colWidth1);
		self.TacticalHeading:SetLeft(colWidth1*2);
		self.TacticalSeparator:SetWidth(self.TacticalHeading:GetWidth());
		self.TacticalSeparator:SetLeft(self.TacticalHeading:GetLeft());

		self.CriticalAvoidLabel:SetWidth(colWidth1-1);
		self.CriticalMeleeAvoidValue:SetWidth(colWidth1);
		self.CriticalMeleeAvoidValue:SetLeft(colWidth1);
		self.CriticalTacticalAvoidValue:SetWidth(colWidth1);
		self.CriticalTacticalAvoidValue:SetLeft(colWidth1*2);

		self.CritHitChanceLabel:SetWidth(colWidth1-1);
		self.CritHitMeleeChanceValue:SetWidth(colWidth1);
		self.CritHitMeleeChanceValue:SetLeft(colWidth1);
		self.CritHitTacticalChanceValue:SetWidth(colWidth1);
		self.CritHitTacticalChanceValue:SetLeft(colWidth1*2);

		self.DamageLabel:SetWidth(colWidth1-1);
		self.DamageMeleeValue:SetWidth(colWidth1);
		self.DamageMeleeValue:SetLeft(colWidth1);
		self.DamageTacticalValue:SetWidth(colWidth1);
		self.DamageTacticalValue:SetLeft(colWidth1*2);

	end

	self.LoadPanelData=function(sender, characterName)
		local tmpIndex;
		for tmpIndex=1,#characterListArray do
			if characterListArray[tmpIndex][1]==characterName then
				self.characterIndex=tmpIndex;
				if inventoryWindow~=nil and inventoryWindow.PanelShowing==self.Index then
					self:SetVisible(self:IsValid())
				end
				break;
			end
		end
		if self:IsVisible() then
			if (characterName==currentCharacterName) then
				-- get the current player stats
				self.Alignment=localPlayer:GetAlignment();
				self.Race=GetRaceIndex(localPlayer:GetRace());
				self.Class=GetClassIndex(localPlayer:GetClass());
				self.Level=localPlayer:GetLevel();

				self.MoraleValue:SetText(math.floor(localPlayer:GetMorale()+.5).."/"..math.floor(localPlayer:GetMaxMorale()+.5));
				self.PowerValue:SetText(math.floor(localPlayer:GetPower()+.5).."/"..math.floor(localPlayer:GetMaxPower()+.5));
				self.ArmorValue:SetText(self.Attributes:GetArmor().." *");
				self.AcidValue:SetText(math.floor(self.Attributes:GetAcidMitigation()*100+.5)/100);
				self.AgilityValue:SetText(self.Attributes:GetAgility());
				self.FateValue:SetText(self.Attributes:GetFate());
				self.BaseValue:SetText(self.Attributes:GetBaseResistance());
				self.BlockValue:SetText(self.Attributes:GetBlock());
				self.CommonValue:SetText(math.floor(self.Attributes:GetCommonMitigation()*100+.5)/100);
				self.EvadeValue:SetText(self.Attributes:GetEvade());
				self.FinesseValue:SetText(self.Attributes:GetFinesse());

				self.FireValue:SetText(math.floor(self.Attributes:GetFireMitigation()*100+.5)/100);
				self.FrostValue:SetText(math.floor(self.Attributes:GetFrostMitigation()*100+.5)/100);
				self.IncomingValue:SetText(math.floor(self.Attributes:GetIncomingHealing()*100+.5)/100);
				self.LightningValue:SetText(math.floor(self.Attributes:GetLightningMitigation()*100+.5)/100);
				self.ParryValue:SetText(self.Attributes:GetParry());
				self.PhysicalValue:SetText(math.floor(self.Attributes:GetPhysicalMitigation()*100+.5)/100);
				self.ShadowValue:SetText(math.floor(self.Attributes:GetShadowMitigation()*100+.5)/100);
				self.TacticalValue:SetText(math.floor(self.Attributes:GetTacticalMitigation()*100+.5)/100);

				self.OutgoingValue:SetText(math.floor(self.Attributes:GetOutgoingHealing()*100+.5)/100);
				self.MightValue:SetText(self.Attributes:GetMight());
				self.VitalityValue:SetText(self.Attributes:GetVitality());
				self.WillValue:SetText(self.Attributes:GetWill());

				self.CriticalMeleeAvoidValue:SetText(self.Attributes:GetMeleeCriticalHitAvoidance());
				self.CriticalTacticalAvoidValue:SetText(self.Attributes:GetTacticalCriticalHitAvoidance());

				self.CritHitMeleeChanceValue:SetText(self.Attributes:GetMeleeCriticalHitChance());
				self.CritHitTacticalChanceValue:SetText(self.Attributes:GetTacticalCriticalHitChance());

				self.DamageMeleeValue:SetText(self.Attributes:GetMeleeDamage());
				self.DamageTacticalValue:SetText(self.Attributes:GetTacticalDamage());

			else
				-- load the stats from the CharacterList
				local index;
				for index=2,#characterListArray do
					if (characterListArray[index][1]==characterName) then
						if characterListArray[index][2]~=nil then
							self.Level=characterListArray[index][2];
						else
							self.Level=0;
						end
						if characterListArray[index][3]~=nil then
							self.MoraleValue:SetText(math.floor(characterListArray[index][3]+.5).."/"..math.floor(characterListArray[index][3]+.5));
						else
							self.MoraleValue:SetText("0/0");
						end
						if characterListArray[index][4]~=nil then
							self.PowerValue:SetText(math.floor(characterListArray[index][4]+.5).."/"..math.floor(characterListArray[index][4]+.5));
						else
							self.PowerValue:SetText("0/0");
						end
						if characterListArray[index][5]~=nil then
							self.Race=GetRaceIndex(characterListArray[index][5]);
						else
							self.Race=1;
						end
						if characterListArray[index][6]~=nil then
							self.Class=GetClassIndex(characterListArray[index][6]);
						else
							self.Class=1;
						end
						if characterListArray[index][9]~=nil then
							self.Alignment=characterListArray[index][9]; -- 1=Freep
						else
							self.Alignment=1; -- 1=Freep
						end

						if characterListArray[index][12]~=nil then
							self.AcidValue:SetText(math.floor(characterListArray[index][12]*100+.5)/100);
						else
							self.AcidValue:SetText("0");
						end
						if characterListArray[index][13]~=nil then
							self.AgilityValue:SetText(characterListArray[index][13]);
						else
							self.AgilityValue:SetText("0");
						end
						if characterListArray[index][14]~=nil then
							self.ArmorValue:SetText(characterListArray[index][14]);
						else
							self.ArmorValue:SetText("0");
						end

						if characterListArray[index][20]~=nil then
							self.BaseValue:SetText(characterListArray[index][20]);
						else
							self.BaseValue:SetText("0");
						end

						if characterListArray[index][23]~=nil then
							self.BlockValue:SetText(characterListArray[index][23]);
						else
							self.BlockValue:SetText("0");
						end
						if characterListArray[index][24]~=nil then
							self.CommonValue:SetText(math.floor(characterListArray[index][24]*100+.5)/100);
						else
							self.CommonValue:SetText("0");
						end
						if characterListArray[index][26]~=nil then
							self.EvadeValue:SetText(characterListArray[index][26]);
						else
							self.EvadeValue:SetText("0");
						end
						if characterListArray[index][27]~=nil then
							self.FateValue:SetText(characterListArray[index][27]);
						else
							self.FateValue:SetText("0");
						end
						if characterListArray[index][29]~=nil then
							self.FinesseValue:SetText(characterListArray[index][29]);
						else
							self.FinesseValue:SetText(0);
						end

						if characterListArray[index][30]~=nil then
							self.FireValue:SetText(math.floor(characterListArray[index][30]*100+.5)/100);
						else
							self.FireValue:SetText(0);
						end
						if characterListArray[index][31]~=nil then
							self.FrostValue:SetText(math.floor(characterListArray[index][31]*100+.5)/100);
						else
							self.FrostValue:SetText(0);
						end
						if characterListArray[index][32]~=nil then
							self.IncomingValue:SetText(math.floor(characterListArray[index][32]*100+.5)/100);
						else
							self.IncomingValue:SetText(0);
						end
						if characterListArray[index][33]~=nil then
							self.LightningValue:SetText(math.floor(characterListArray[index][33]*100+.5)/100);
						else
							self.LightningValue:SetText(0);
						end
						if characterListArray[index][34]~=nil then
							self.CriticalMeleeAvoidValue:SetText(characterListArray[index][34]);
						else
							self.CriticalMeleeAvoidValue:SetText("0");
						end
						if characterListArray[index][35]~=nil then
							self.CritHitMeleeChanceValue:SetText(characterListArray[index][35]);
						else
							self.CritHitMeleeChanceValue:SetText("0");
						end
						if characterListArray[index][36]~=nil then
							self.DamageMeleeValue:SetText(characterListArray[index][36]);
						else
							self.DamageMeleeValue:SetText("0");
						end

						if characterListArray[index][38]~=nil then
							self.MightValue:SetText(characterListArray[index][38]);
						else
							self.MightValue:SetText("0");
						end
						if characterListArray[index][39]~=nil then
							self.OutgoingValue:SetText(math.floor(characterListArray[index][39]*100+.5)/100);
						else
							self.OutgoingValue:SetText(0);
						end

						if characterListArray[index][40]~=nil then
							self.ParryValue:SetText(characterListArray[index][40]);
						else
							self.ParryValue:SetText(0);
						end
						if characterListArray[index][41]~=nil then
							self.PhysicalValue:SetText(math.floor(characterListArray[index][41]*100+.5)/100);
						else
							self.PhysicalValue:SetText(0);
						end
						if characterListArray[index][47]~=nil then
							self.ShadowValue:SetText(math.floor(characterListArray[index][47]*100+.5)/100);
						else
							self.ShadowValue:SetText(0);
						end
						if characterListArray[index][48]~=nil then
							self.CriticalTacticalAvoidValue:SetText(characterListArray[index][48]);
						else
							self.CriticalTacticalAvoidValue:SetText("0");
						end
						if characterListArray[index][49]~=nil then
							self.CritHitTacticalChanceValue:SetText(characterListArray[index][49]);
						else
							self.CritHitTacticalChanceValue:SetText("0");
						end

						if characterListArray[index][50]~=nil then
							self.DamageTacticalValue:SetText(characterListArray[index][50]);
						else
							self.DamageTacticalValue:SetText("0");
						end

						if characterListArray[index][52]~=nil then
							self.TacticalValue:SetText(math.floor(characterListArray[index][52]*100+.5)/100);
						else
							self.TacticalValue:SetText("0");
						end

						if characterListArray[index][53]~=nil then
							self.VitalityValue:SetText(characterListArray[index][53]);
						else
							self.VitalityValue:SetText("0");
						end
						if characterListArray[index][54]~=nil then
							self.WillValue:SetText(characterListArray[index][54]);
						else
							self.WillValue:SetText("0");
						end

						break;
					end
				end
			end
			--set the array text fields
			self.RaceText:SetText(raceArray[self.Race][2]);
			self.ClassText:SetText(classArray[self.Class][3]);
			self.LevelText:SetText(Resource[language][85].." "..self.Level);
		end
	end

	self.SetTrimColor=function()
		self.StatsSeparator:SetBackColor(trimColor);
		self.HealingSeparator:SetBackColor(trimColor);
		self.AvoidancesSeparator:SetBackColor(trimColor);
		self.ResistancesSeparator:SetBackColor(trimColor);
		self.MitigationsSeparator:SetBackColor(trimColor);
		self.MeleeSeparator:SetBackColor(trimColor);
		self.TacticalSeparator:SetBackColor(trimColor);
	end
	self.SetFontColor=function()
		self.RaceText:SetForeColor(fontColor);
		self.ClassText:SetForeColor(fontColor);
		self.LevelText:SetForeColor(fontColor);
		self.MightLabel:SetForeColor(fontColor);
		self.AgilityLabel:SetForeColor(fontColor);
		self.VitalityLabel:SetForeColor(fontColor);
		self.WillLabel:SetForeColor(fontColor);
		self.FateLabel:SetForeColor(fontColor);
		self.OutgoingLabel:SetForeColor(fontColor);
		self.IncomingLabel:SetForeColor(fontColor);
		self.BlockLabel:SetForeColor(fontColor);
		self.EvadeLabel:SetForeColor(fontColor);
		self.ParryLabel:SetForeColor(fontColor);

		self.CommonLabel:SetForeColor(fontColor);
		self.FireLabel:SetForeColor(fontColor);
		self.FrostLabel:SetForeColor(fontColor);
		self.ShadowLabel:SetForeColor(fontColor);
		self.LightningLabel:SetForeColor(fontColor);
		self.AcidLabel:SetForeColor(fontColor);
		self.TacticalLabel:SetForeColor(fontColor);
		self.CriticalAvoidLabel:SetForeColor(fontColor);
		self.CritHitChanceLabel:SetForeColor(fontColor);
		self.DamageLabel:SetForeColor(fontColor);
		self.FinesseLabel:SetForeColor(fontColor);
		self.BaseLabel:SetForeColor(fontColor);
		self.PhysicalLabel:SetForeColor(fontColor);
	end
	self.SetHeadingsColor=function()
		self.StatsHeading:SetForeColor(headingsColor);
		self.HealingHeading:SetForeColor(headingsColor);
		self.AvoidancesHeading:SetForeColor(headingsColor);
		self.ResistancesHeading:SetForeColor(headingsColor);
		self.MitigationsHeading:SetForeColor(headingsColor);
		self.MeleeHeading:SetForeColor(headingsColor);
		self.TacticalHeading:SetForeColor(headingsColor);
	end
	self.SetLanguage=function()
		if self.Race~=nil and raceArray[self.Race]~=nil then
			self.RaceText:SetText(raceArray[self.Race][2]);
		end
		if self.Class~=nil and raceArray[self.Class]~=nil then
			self.ClassText:SetText(classArray[self.Class][3]);
		end
		self.LevelText:SetText(Resource[language][85].." "..self.Level);

		self.MoraleLabel:SetText(Resource[language][86]);
		self.PowerLabel:SetText(Resource[language][87]);

		self.ArmorLabel:SetText(Resource[language][257]);
		self.StatsHeading:SetText(Resource[language][258]);
		self.MightLabel:SetText(Resource[language][259]);
		self.AgilityLabel:SetText(Resource[language][260]);
		self.VitalityLabel:SetText(Resource[language][261]);
		self.WillLabel:SetText(Resource[language][262]);
		self.FateLabel:SetText(Resource[language][263]);
		self.FinesseLabel:SetText(Resource[language][299]);
		self.HealingHeading:SetText(Resource[language][273]);
		self.OutgoingLabel:SetText(Resource[language][275]);
		self.IncomingLabel:SetText(Resource[language][276]);
		self.AvoidancesHeading:SetText(Resource[language][278]);
		self.BlockLabel:SetText(Resource[language][279]);
		self.EvadeLabel:SetText(Resource[language][280]);
		self.ParryLabel:SetText(Resource[language][281]);
		self.ResistancesHeading:SetText(Resource[language][282]);

		self.MitigationsHeading:SetText(Resource[language][287]);
		self.CommonLabel:SetText(Resource[language][288]);
		self.FireLabel:SetText(Resource[language][289]);
		self.FrostLabel:SetText(Resource[language][290]);
		self.ShadowLabel:SetText(Resource[language][291]);
		self.LightningLabel:SetText(Resource[language][292]);
		self.AcidLabel:SetText(Resource[language][293]);
		self.TacticalLabel:SetText(Resource[language][267]);
		self.MeleeHeading:SetText(Resource[language][301]);
		self.TacticalHeading:SetText(Resource[language][267]);
		self.CriticalAvoidLabel:SetText(Resource[language][294]);
		self.CritHitChanceLabel:SetText(Resource[language][295]);
		self.DamageLabel:SetText(Resource[language][334]);
	end
	self.Update=function()
		-- handles stat refreshing for stat change event handlers
		if self.NeedsRefresh then
			self.NeedsRefresh=false
			self:SetWantsUpdates(false);
			self:LoadPanelData();
		end
	end

	self.RemoveCallbacks=function()
		-- remove all of the attribute callbacks that we set
	end
end
